WaveVision DLL: Module Index

  • Main Page
  • Modules
  • Classes
  • Files

Modules

Here is a list of all modules:
  • Structures/Definitions
    • Defines
    • Basic Types
    • Enumerations
    • DUT-related structures
    • GUI-related enums
    • GUI-related structures
    • Messages
    • Debug
  • API
    • Initialize the DLL settings
    • General DLL usage
    • Capture
    • DAC commands
    • EEPROM
    • GUI
    • Utilities
    • Low-level access
    • Low level USB access
    • Unused
Generated on Thu Jun 18 18:04:06 2009 for WaveVision DLL by doxygen 1.5.5


WaveVision DLL: Structures/Definitions

  • Files

Structures/Definitions

Modules

Defines
Defines.
Basic Types
Basic Data Types.
Enumerations
Enumerations.
DUT-related structures
DUT-related structures.
GUI-related enums
GUI-related enums.
GUI-related structures
GUI-related structures.
Messages
Informative messages sent by DLL to caller via callbacks.
Debug


WaveVision DLL: Defines

Defines
[Structures/Definitions]

Defines. More...

Defines

#define | MAX_BOARD 16
Maximum number of simultaneous boards supported by DLL.
#define | MAX_DUT 1
Maximum number of DUTs on a board.
#define | PUBLIC_WV_MAX_NUM_SIMULTANEOUS_CAPTURES 2
Maximum number of simultaneous captures.
#define | PUBLIC_WV_ACQUISITION_MAX_SAMPLES 8
Maximum number of samples contains within one acquisition.
#define | PUBLIC_WV_MAX_CONFIGURATIONS 32
Maximum number of capture configurations supported.
#define | WV5_FPGA_REGISTER_ADDR_BASE 0xd000
Base address for the SigPath data API compliant FPGA images.
#define | WV5_FPGA_REGISTER_ADDR_SIZE 0x1000
Address space size for the SigPath data API compliant FPGA images.
#define | SENSORPATH_DATA_ADDR_BASE 0xcf00
SensorPath base address.
#define | SENSORPATH_DATA_ADDR_SIZE 0x0100
SensorPath address space size.
#define | WV_MAX_NUM_SIMULTANEOUS_DAC_CHANNELS_PROGRAMMED 4
Maximum number of DAC channels programmed.

Detailed Description

Defines.

Define Documentation

#define WV5_FPGA_REGISTER_ADDR_BASE 0xd000

Base address for the SigPath data API compliant FPGA images.

This address is from the Cypress microcontroller point of view.

#define WV5_FPGA_REGISTER_ADDR_SIZE 0x1000

Address space size for the SigPath data API compliant FPGA images.

This address is from the Cypress microcontroller point of view.

#define SENSORPATH_DATA_ADDR_BASE 0xcf00

SensorPath base address.

Accessing the address space results in SensorPath-specific actions taken by the DLL and firmware

#define SENSORPATH_DATA_ADDR_SIZE 0x0100

SensorPath address space size.


WaveVision DLL: Basic Types

Basic Types
[Structures/Definitions]

Basic Data Types. More...

Classes

struct | WvVersionNumber
Version number. More...

Typedefs

typedef unsigned long | WvBool
Boolean.
typedef unsigned long | WvWord
Unsigned 32 bit word.
typedef double | WvDouble
Double precision floating point.
typedef char * | WvString
A null terminated string.
typedef unsigned char | WvStreamElement
A stream of data bytes.
typedef WvStreamElement * | WvStream
A stream is a pointer to stream elements.
typedef WvVersionNumber | Wv_Version_Number
Alternative name for the version number.

Detailed Description

Basic Data Types.

Typedef Documentation

typedef unsigned long WvBool

Boolean.

Only values 0 and 1 are acceptable. This is defined as an unsigned long to avoid differences in byte packing by differnt compilers

typedef unsigned char WvStreamElement

A stream of data bytes.

There is no format or structure to the stream. The user is responsible for packing the data properly for write operations and interpretting the data on read operations.

typedef WvStreamElement* WvStream

A stream is a pointer to stream elements.


WaveVision DLL: Enumerations

Enumerations
[Structures/Definitions]

Enumerations. More...

Typedefs

typedef WvDataFormat | Wv_Data_Format
Alternative name for format.

Enumerations

enum | Wv_Return { WV_RETURN_OK, WV_RETURN_ERROR_NON_FATAL, WV_RETURN_ERROR }
Return code. More...
enum | WvDataFormat { WvBinaryFormat = 0x1000000, WvOffsetBinaryFormat, WvTwosComplementFormat }
Data format for the sampled data. More...
enum | Wv_Dut_Eeprom_Type { WV_DUT_EEPROM_STANDARD, WV_DUT_EEPROM_FMC }
DUT EEPROM type. More...

Detailed Description

Enumerations.

Enumeration Type Documentation

enum Wv_Return

Return code.

This is currently not supported, but eventually will replace the boolean return code from all the functions in the .h file

Enumerator:
WV_RETURN_OK | Success.
WV_RETURN_ERROR_NON_FATAL | Error detected, but non fatal.
WV_RETURN_ERROR | Fatal error.

enum WvDataFormat

Data format for the sampled data.

Enumerator:
WvBinaryFormat | Binary.
WvOffsetBinaryFormat | Binary offset.
WvTwosComplementFormat | Two's complement.

enum Wv_Dut_Eeprom_Type

DUT EEPROM type.

Enumerator:
WV_DUT_EEPROM_STANDARD | Standard WV5 DUT EEPROM.
WV_DUT_EEPROM_FMC | EEPROM that conforms to the FMC specification.


WaveVision DLL: DUT-related structures

DUT-related structures
[Structures/Definitions]

DUT-related structures. More...

Classes

struct | Wv_Dac_Download_Configuration
DAC download configuration. More...
struct | Wv_Dac_Cmd_Data
DAC command. More...
struct | WvChannelData
Channel representation. More...
struct | WvDUTInfo
Device Under Test (DUT) info. More...
struct | WvCaptureSetup
Capture Parameters. More...

Typedefs

typedef WvChannelData | Wv_Capture_Configuration
Alternative name.
typedef WvDUTInfo | Wv_Dut_Info
Alternative name.
typedef WvCaptureSetup | Wv_Capture_Request
Alternative name.

Enumerations

enum | Wv_Dac_Cmd { WV_DAC_CMD_DOWNLOAD_DATA, WV_DAC_CMD_START_SOURCING, WV_DAC_CMD_STOP_SOURCING }
DAC command type. More...

Detailed Description

DUT-related structures.

Enumeration Type Documentation

enum Wv_Dac_Cmd

DAC command type.

Enumerator:
WV_DAC_CMD_DOWNLOAD_DATA | Download data.
WV_DAC_CMD_START_SOURCING | Instruct DAC to start sourcing data.
WV_DAC_CMD_STOP_SOURCING | Instruct DAC to stop sourcing data.


WaveVision DLL: GUI-related enums

GUI-related enums
[Structures/Definitions]

GUI-related enums. More...

Enumerations

enum WvRegisterControl {
WvNumericEdit = 0x1000000, WvSpinEdit, WvComboBox, WvButton,
WvText, WvCheckbox, WvRadioButton, WvSlider,
WvLevel1Register
}
Types of GUI controls available. More...
enum | WvNumValueType { WvHex = 0x1000000, WvInteger, WvFloat }
They type of number represented by the GUI. More...
enum | WvBitSize { WV_BIT_SIZE_8 = 0x1000000, WV_BIT_SIZE_16 }
Bit size. More...
enum | WvRegisterType { WV_REGISTER_TYPE_READ_ONLY = 0x1000000, WV_REGISTER_TYPE_READ_WRITE, WV_REGISTER_TYPE_WRITE_ONLY }
Register type. More...
enum | WvRegisterAction { WV_REGISTER_ACTION_READ = 0x1000000, WV_REGISTER_ACTION_WRITE }
Register action. More...

Detailed Description

GUI-related enums.

Enumeration Type Documentation

enum WvRegisterControl

Types of GUI controls available.

Enumerator:
WvNumericEdit Numeric edit.

This allows the user to type in numbers

WvSpinEdit Spin edit.

This is some sort of visual element that the user can manipulate to change the value. This can be anything from a slide bar to a wheel

WvComboBox Combo box.

This is a pulldown menu and an edit box combined.

TODO
This currently does not support the edit functionality, so this is just a pulldown menu for right now. This may be fixed in the future.
WvButton | Text button.
WvText | Non-editable text box.
WvCheckbox | Check box.
WvRadioButton Radio button.

This is somewhat like a check box, but radio buttons usually act together with other radio buttons to provide a type of mutual exclusivity.

WvSlider | Slider.
WvLevel1Register | Level 1 register element.

enum WvNumValueType

They type of number represented by the GUI.

Enumerator:
WvHex | Hex.
WvInteger | Integer.
WvFloat | Double precision floating point.

enum WvBitSize

Bit size.

Enumerator:
WV_BIT_SIZE_8 | 8 bits
WV_BIT_SIZE_16 | 16 bits

enum WvRegisterType

Register type.

Enumerator:
WV_REGISTER_TYPE_READ_ONLY | Read-only.
WV_REGISTER_TYPE_READ_WRITE | Read/write.
WV_REGISTER_TYPE_WRITE_ONLY | Write only.

enum WvRegisterAction

Register action.

Enumerator:
WV_REGISTER_ACTION_READ | Read.
WV_REGISTER_ACTION_WRITE | Write.


WaveVision DLL: GUI-related structures

GUI-related structures
[Structures/Definitions]

GUI-related structures. More...

Classes

struct | Wv_Gui_Tab
GUI tab container. More...
struct | WvNumericEditDefinition
Structure representing a numeric edit GUI element. More...
struct | WvSpinEditDefinition
Structure representing a spin edit GUI element. More...
struct | WvComboBoxDefinition
Combo box. More...
struct | WvButtonDefinition
Button. More...
struct | WvTextDefinition
Text box. More...
struct | WvCheckBoxDefinition
Check box. More...
struct | WvRadioButtonDefinition
Radio button. More...
struct | WvSliderDefinition
Slider. More...
struct | WvLevel1RegisterDefinition
Level 1 Register. More...
struct | WvControlDefinition
Control definition. More...

Typedefs

typedef WvBool(* | WvGuiChangeCallback )(WvWord boardIndex, WvWord DUTIndex, WvWord tabindex, WvWord controlindex, WvControlDefinition *controlDef)
Callback called when a GUI element has changed.

Detailed Description

GUI-related structures.

Typedef Documentation

typedef WvBool(* WvGuiChangeCallback)(WvWord boardIndex, WvWord DUTIndex, WvWord tabindex, WvWord controlindex, WvControlDefinition *controlDef)

Callback called when a GUI element has changed.

These changes are usually a result of one of the GUI elements modifying another.


WaveVision DLL: Messages

Messages
[Structures/Definitions]

Informative messages sent by DLL to caller via callbacks. More...

Classes

struct | Wv_Hw_Change_Param
Parameters for the hardware change message. More...
struct | Wv_Message_Box_Param
Parameters for the message box. More...
struct | Wv_Channel_Data_Selection_Changed_Params
Data selection changed type. More...
union | Wv_Dll_Event_Param_Union
Union of all parameters. More...
struct | Wv_Dll_Event_Param
Message for events. More...

Typedefs

typedef WvBool(* | WvDllEventCallback )(Wv_Dll_Event_Param *event_param)
Prototype for the callback.

Enumerations

enum Wv_Hw_Change_Id {
WV_HW_CHANGE_BOARD_DISCONNECT = 0x1000000, WV_HW_CHANGE_BOARD_CONNECT, WV_HW_CHANGE_DUT_DISCONNECT, WV_HW_CHANGE_DUT_CONNECT,
WV_HW_CHANGE_POWER_ON, WV_HW_CHANGE_POWER_OFF
}
Type of hardware change. More...
enum | Wv_Mesage_Box_Id { WV_MESSAGE_BOX_WARNING = 0x1000000, WV_MESSAGE_BOX_ERROR, WV_MESSAGE_BOX_INFORMATION, WV_MESSAGE_BOX_CONFIRMATION }
Type of message boxes. More...
enum Wv_Dll_Event_Id {
WV_DLL_EVENT_HW_CHANGE = 0x1000000, WV_DLL_EVENT_MESSAGE_BOX, WV_DLL_EVENT_DUT_EEPROM_RELOADED, WV_DLL_EVENT_CYPRESS_EEPROM_RELOADED,
WV_DLL_EVENT_SIMULATOR_LOADED, WV_DLL_EVENT_CHANNEL_DATA_SELECTION_CHANGED
}
Types of asynchronous DLL events. More...

Detailed Description

Informative messages sent by DLL to caller via callbacks.

Enumeration Type Documentation

enum Wv_Hw_Change_Id

Type of hardware change.

These changes are not propogated to the user until the board enumeration process has completed.

Enumerator:
WV_HW_CHANGE_BOARD_DISCONNECT | Board has been disconnected.
WV_HW_CHANGE_BOARD_CONNECT | Board has been connected.
WV_HW_CHANGE_DUT_DISCONNECT | DUT has been disconnected.
WV_HW_CHANGE_DUT_CONNECT | DUT has been connected.
WV_HW_CHANGE_POWER_ON | Power on.
WV_HW_CHANGE_POWER_OFF | Power off.

enum Wv_Mesage_Box_Id

Type of message boxes.

Enumerator:
WV_MESSAGE_BOX_WARNING | Generic warning.
WV_MESSAGE_BOX_ERROR | Error.
WV_MESSAGE_BOX_INFORMATION | Informative mssage.
WV_MESSAGE_BOX_CONFIRMATION | Interactive confirmation box.

enum Wv_Dll_Event_Id

Types of asynchronous DLL events.

Enumerator:
WV_DLL_EVENT_HW_CHANGE | Hardware change.
WV_DLL_EVENT_MESSAGE_BOX | Message box.
WV_DLL_EVENT_DUT_EEPROM_RELOADED | A new EEPROM image has been loaded.
WV_DLL_EVENT_CYPRESS_EEPROM_RELOADED | This is currently not implemented.
WV_DLL_EVENT_SIMULATOR_LOADED | Simulator is loaded.
WV_DLL_EVENT_CHANNEL_DATA_SELECTION_CHANGED | Selection changed.


WaveVision DLL: Debug

Debug
[Structures/Definitions]

Defines

#define | WV_DEBUG_MODULE_TABLE
Debug module preprocessor table.
#define | WV_DEBUG_MODULE_ENTRY(_X_) WV_DEBUG_MODULE_##_X_,
Module entry.

Enumerations

enum Wv_Debug_Access_Method {
WV_DEBUG_ACCESS_MEMORY_MAPPED = 0x1000000, WV_DEBUG_ACCESS_SPI, WV_DEBUG_ACCESS_PORT_FPGA_REGISTER, WV_DEBUG_ACCESS_I2C,
WV_DEBUG_ACCESS_CYPRESS_SFR, WV_DEBUG_ACCESS_PRIVATE, WV_DEBUG_ACCESS_MAX
}
Debug interface. More...
enum Wv_Debug_Module {
WV_DEBUG_MODULE_GEN, WV_DEBUG_MODULE_CMD, WV_DEBUG_MODULE_CMD_API, WV_DEBUG_MODULE_INTERNAL,
WV_DEBUG_MODULE_SEARCH, WV_DEBUG_MODULE_USB, WV_DEBUG_MODULE_BIGGIG, WV_DEBUG_MODULE_EEPROM,
WV_DEBUG_MODULE_CLOCK, WV_DEBUG_MODULE_CAPTURE, WV_DEBUG_MODULE_LOAD_FPGA, WV_DEBUG_MODULE_BOARD_STATE,
WV_DEBUG_MODULE_BOARD_STATE_POLLING, WV_DEBUG_MODULE_FILE, WV_DEBUG_MODULE_TEST_MODE, WV_DEBUG_MODULE_SCRIPT_EP,
WV_DEBUG_MODULE_SCRIPT_EP_FACTORY, WV_DEBUG_MODULE_SCRIPT, WV_DEBUG_MODULE_CB, WV_DEBUG_MODULE_XML_LIB,
WV_DEBUG_MODULE_UTILS, WV_DEBUG_MODULE_MAX
}
Various modules in the DLL whose debug output can be enabled and disabled. More...

Define Documentation

#define WV_DEBUG_MODULE_TABLE

Value:

WV_DEBUG_MODULE_ENTRY(GEN) \
    WV_DEBUG_MODULE_ENTRY(CMD) \
    WV_DEBUG_MODULE_ENTRY(CMD_API) \
    WV_DEBUG_MODULE_ENTRY(INTERNAL) \
    WV_DEBUG_MODULE_ENTRY(SEARCH) \
    WV_DEBUG_MODULE_ENTRY(USB) \
    WV_DEBUG_MODULE_ENTRY(BIGGIG) \
    WV_DEBUG_MODULE_ENTRY(EEPROM) \
    WV_DEBUG_MODULE_ENTRY(CLOCK) \
    WV_DEBUG_MODULE_ENTRY(CAPTURE) \
    WV_DEBUG_MODULE_ENTRY(LOAD_FPGA) \
    WV_DEBUG_MODULE_ENTRY(BOARD_STATE) \
    WV_DEBUG_MODULE_ENTRY(BOARD_STATE_POLLING) \
    WV_DEBUG_MODULE_ENTRY(FILE) \
    WV_DEBUG_MODULE_ENTRY(TEST_MODE) \
    WV_DEBUG_MODULE_ENTRY(SCRIPT_EP) \
    WV_DEBUG_MODULE_ENTRY(SCRIPT_EP_FACTORY) \
    WV_DEBUG_MODULE_ENTRY(SCRIPT) \
    WV_DEBUG_MODULE_ENTRY(CB) \
    WV_DEBUG_MODULE_ENTRY(XML_LIB) \
    WV_DEBUG_MODULE_ENTRY(UTILS)
Debug module preprocessor table.

Enumeration Type Documentation

enum Wv_Debug_Access_Method

Debug interface.

Right now, only memory-mapped accesses are supported.

RESTRICTIONS: Describe the limitations of the accesses. TODO.

enum Wv_Debug_Module

Various modules in the DLL whose debug output can be enabled and disabled.


WaveVision DLL: API

API

All of the public functions in the WV5 DLL are documented in each of these submodules. More...

Modules

Initialize the DLL settings
Functions called to initialize the DLL settings.
General DLL usage
General DLL usage.
Capture
Capture.
DAC commands
DAC commands.
EEPROM
EEPROM.
GUI
GUI.
Utilities
Utilities.
Low-level access
Low-level hardware access functions.
Low level USB access
Low level USB access.
Unused
Unused.

Detailed Description

All of the public functions in the WV5 DLL are documented in each of these submodules.

These submodules are divided into functional groups.

Below are some general comments regarding the parameters for these functions.

return_*
Whenever the DLL wants to return data, the parameter name will be prepended with return_. This is to indicate that the caller is to allocate the memory and then pass a reference to that object. The DLL will modify that object that is passed in.

board_index
The DLL is able to support multiple boards simultaneously. Each board will be given an index number. This number is 0-based.

dut_index
The DLL is able to support multiple DUTs on one board. Each DUT will be given an index number. This number is 0-based. Within each board, the DUT index will always start at 0. This means the combination of the board_index and dut_index is necessary to uniquely identify a DUT.

tab_index
The DLL can support multiple tabs in one GUI. Each tab will be given an index number. This number is 0-based. Within each board/DUT combination, the tab index will start at 0. This means the combination of board index, DUT index, and tab index is necessary to uniquely identify a tab.

control_index
The DLL can support multiple controls in one tab. Each control will be given an index number. This number is 0-based. Within each board/DUT/tab combination, the control index will start at 0. This means the combination of board index, DUT index, tab index, and control index is necessary to uniquely identify a control.


WaveVision DLL: Initialize the DLL settings

Initialize the DLL settings
[API]

Functions called to initialize the DLL settings. More...

Functions

WvBool __stdcall | WvDebugModuleModify (Wv_Debug_Module module, WvBool enable)
Modify debug status.
WvBool __stdcall | WvDebugModuleModifyAll (WvBool enable)
Modify call debug status.
WvBool __stdcall | WvDebugModuleSetOutputFilename (WvString filename)
Set output filename.
WvBool __stdcall | WvBoardConfigureGuiChangeCallback (WvGuiChangeCallback gui_change_callback)
Set the GUI change callback.
WvBool __stdcall | WvBoardConfigureDllEventCallback (WvDllEventCallback dll_event_callback)
Set the even change callback.
WvBool __stdcall | WvChangeImageDirectory (WvString new_directory_name)
Change output directory.
WvBool __stdcall | WvEnableSimulator (WvBool enable)
Enable simulator.
WvBool __stdcall | WvAllowUnnamedDUTs (WvBool allow)
Allow unnamed DUTs.

Detailed Description

Functions called to initialize the DLL settings.

Function Documentation

WvBool __stdcall WvDebugModuleModify | ( | Wv_Debug_Module | module,
 |  | WvBool | enable
 | ) |  |

Modify debug status.

WARNING: Either WvDebugModuleModify OR WvDebugModuleModifyAll MUST be called before the DLL will take any actions.

WARNING: Again, the DLL will not attempt to scan the hardware connections UNTIL either WvDebugModuleModify or WvDebugModuleModifyAll is called.

WARNING: You can consider WvDebugModuleModify or WvDebugModuleModifyAll more of a WvDllInitialize call.

Parameters:
module | Debug module
enable | TRUE to enable the module. FALSE otherwise

WvBool __stdcall WvDebugModuleModifyAll ( WvBool enable )

Modify call debug status.

All EXCEPT for WV_DEBUG_MODULE_BOARD_STATE_POLLING because that module does not output any important information when the board status is not changing.

Parameters:
enable TRUE to enable all

WvBool __stdcall WvDebugModuleSetOutputFilename ( WvString filename )

Set output filename.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • filename
Parameters:
filename Name of file for logging output

WvBool __stdcall WvBoardConfigureGuiChangeCallback ( WvGuiChangeCallback gui_change_callback )

Set the GUI change callback.

Parameters:
gui_change_callback Callback

WvBool __stdcall WvBoardConfigureDllEventCallback ( WvDllEventCallback dll_event_callback )

Set the even change callback.

Parameters:
dll_event_callback Callback

WvBool __stdcall WvChangeImageDirectory ( WvString new_directory_name )

Change output directory.

Memory Usage
The caller must allocate space for the object pointed to by:
  • new_directory_name
Parameters:
new_directory_name New directory name

WvBool __stdcall WvEnableSimulator ( WvBool enable )

Enable simulator.

Simulator enabled by default.

Parameters:
enable Enable

WvBool __stdcall WvAllowUnnamedDUTs ( WvBool allow )

Allow unnamed DUTs.

By default unnamed DUTs (DUTs with no DUT EEPROM) are not allowed.

Parameters:
allow Allow unnamed DUTs


WaveVision DLL: General DLL usage

General DLL usage
[API]

General DLL usage. More...

Functions

WvBool __stdcall | WvBoardEnum (WvWord *return_board_count, WvString **return_array_board_names, WvVersionNumber *return_dll_version)
Begin the board enumeration process.
WvBool __stdcall | WvBoardOpen (WvWord board_index, WvString user_defined_cypress_image_filename, WvWord *return_cypress_version, WvVersionNumber *return_firmware_version)
Open the board.
WvBool __stdcall | WvBoardDUTEnum (WvWord board_index, WvWord *return_dut_count, WvString **return_array_dut_names)
Begin the enumeration process for DUTs on a board.
WvBool __stdcall | WvBoardLoadFPGA (WvWord board_index, WvWord dut_index, WvString user_defined_fpga_image_filename, WvVersionNumber *return_fpga_version)
Load the FPGA.
WvBool __stdcall | WvBoardReadDUTInfo (WvWord board_index, WvWord dut_index, WvDUTInfo *return_dut_info, WvVersionNumber *return_dut_version)
Get the DUT info.
WvBool __stdcall | WvEnableCallbacks (WvBool enable)
Enable callbacks back to caller.
WvBool __stdcall | WvBoardReset (WvWord board_index)
Reset the board.
WvBool __stdcall | WvBoardResetAll (void)
Reset all boards.
WvBool __stdcall | WvBoardClose (WvWord board_index)
Close the board.
WvBool __stdcall | WvShutdown (void)
Shutdown DLL.

Detailed Description

General DLL usage.

Function Documentation

WvBool __stdcall WvBoardEnum | ( | WvWord * | return_board_count,
 |  | WvString ** | return_array_board_names,
 |  | WvVersionNumber * | return_dll_version
 | ) |  |

Begin the board enumeration process.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_board_count
  • return_dll_version
The DLL will manage the memory for the array of string pointers AND memory for the strings themselves.

Parameters:
return_board_count | Number of boards detected
return_array_board_names | Reference to string pointer
return_dll_version | DLL version

WvBool __stdcall WvBoardOpen | ( | WvWord | board_index,
 |  | WvString | user_defined_cypress_image_filename,
 |  | WvWord * | return_cypress_version,
 |  | WvVersionNumber * | return_firmware_version
 | ) |  |

Open the board.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_cypress_version
  • return_firmware_version
Parameters:
board_index | Board index
user_defined_cypress_image_filename | User defined cypress image filename
return_cypress_version | Cypress version
return_firmware_version | firmware version

WvBool __stdcall WvBoardDUTEnum | ( | WvWord | board_index,
 |  | WvWord * | return_dut_count,
 |  | WvString ** | return_array_dut_names
 | ) |  |

Begin the enumeration process for DUTs on a board.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_dut_count
The DLL will manage the memory for the array of string pointers AND memory for the strings themselves.

Parameters:
board_index | Board index
return_dut_count | Number of DUTs detected on this board
return_array_dut_names | Reference to WvString*

WvBool __stdcall WvBoardLoadFPGA | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvString | user_defined_fpga_image_filename,
 |  | WvVersionNumber * | return_fpga_version
 | ) |  |

Load the FPGA.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • user_defined_fpga_image_filename
  • return_fpga_version
Parameters:
board_index | Board index
dut_index | DUT index
user_defined_fpga_image_filename | User defined FPGA image filename
return_fpga_version | FPGA version

WvBool __stdcall WvBoardReadDUTInfo | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvDUTInfo * | return_dut_info,
 |  | WvVersionNumber * | return_dut_version
 | ) |  |

Get the DUT info.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_dut_info
  • return_dut_version
HOWEVER, with regards to WvDUTInfo, the DLL will provide the memory for pChannelData. So, if the WvDUTInfo is deleted, DO NOT delete data pointed to by pChannelData; that data is owned by the DLL and the DLL will manange it.

Parameters:
board_index | Board index
dut_index | DUT index
return_dut_info | DUT info structure
return_dut_version | DUT version

WvBool __stdcall WvEnableCallbacks ( WvBool enable )

Enable callbacks back to caller.

Caller must set to this to true to receive messages back from the DLL

Parameters:
enable Enable

WvBool __stdcall WvBoardReset ( WvWord board_index )

Reset the board.

Currently, this only resets the FPGA.

Parameters:
board_index Board index

WvBool __stdcall WvBoardResetAll ( void )

Reset all boards.

TODO
This does nothing.

WvBool __stdcall WvBoardClose ( WvWord board_index )

Close the board.

Parameters:
board_index Board index

WvBool __stdcall WvShutdown ( void )

Shutdown DLL.

This should be called before the application exits. This is required to properly release all resouces and shutdown the DLL thread.


WaveVision DLL: Capture

Capture
[API]

Capture. More...

Functions

WvBool __stdcall | WvBoardWriteCaptureStart (WvWord board_index, WvWord dut_index, WvCaptureSetup *ptr_capture_setup)
Begin the capture.
WvBool __stdcall | WvBoardWriteCaptureEnd (WvWord board_index, WvWord dut_index)
Stop the capture.
WvBool __stdcall | WvBoardReadCaptureData (WvWord board_index, WvWord dut_index, WvWord *return_data, WvWord sizeof_data_allocated_by_caller, WvBool *return_data_valid)
Acquire the capture data.

Detailed Description

Capture.

Function Documentation

WvBool __stdcall WvBoardWriteCaptureStart | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvCaptureSetup * | ptr_capture_setup
 | ) |  |

Begin the capture.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • ptr_capture_setup
Parameters:
board_index | Board index
dut_index | DUT index
ptr_capture_setup | Capture setup structure

WvBool __stdcall WvBoardWriteCaptureEnd | ( | WvWord | board_index,
 |  | WvWord | dut_index
 | ) |  |

Stop the capture.

Parameters:
board_index | Board index
dut_index | DUT index

WvBool __stdcall WvBoardReadCaptureData | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvWord * | return_data,
 |  | WvWord | sizeof_data_allocated_by_caller,
 |  | WvBool * | return_data_valid
 | ) |  |

Acquire the capture data.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_data
  • return_data_valid
Parameters:
board_index | Board index
dut_index | DUT index
return_data | Array where the DLL will place the captured data
sizeof_data_allocated_by_caller | Number of WvWords in the return_data array
return_data_valid | Set to true if the data is valid


WaveVision DLL: DAC commands

DAC commands
[API]

DAC commands. More...

Functions

WvBool __stdcall WvDacExecCommand (WvWord board_index, WvWord dut_index, Wv_Dac_Cmd dac_cmd, Wv_Dac_Cmd_Data *req)
Execute the DAC command.

Detailed Description

DAC commands.

Function Documentation

WvBool __stdcall WvDacExecCommand | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Dac_Cmd | dac_cmd,
 |  | Wv_Dac_Cmd_Data * | req
 | ) |  |

Execute the DAC command.

Parameters:
board_index | Board index
dut_index | DUT index
dac_cmd | DAC command
req | Request structure


WaveVision DLL: EEPROM

EEPROM
[API]

EEPROM. More...

Functions

WvBool __stdcall | WvBoardReadCypressEEPROM (WvWord board_index, WvStream stream, WvWord stream_size)
Read the board-level EEPROM.
WvBool __stdcall | WvBoardWriteCypressEEPROM (WvWord board_index, WvStream stream, WvWord stream_size)
Write the board-level EEPROM.
WvBool __stdcall | WvBoardReadDUTEEPROM (WvWord board_index, WvWord dut_index, WvStream stream, WvWord stream_size)
Read the DUT EEPROM.
WvBool __stdcall | WvBoardWriteDUTEEPROM (WvWord board_index, WvWord dut_index, WvStream stream, WvWord stream_size)
Write the DUT EEPROM.
WvBool __stdcall | WvBoardLoadDUTEEPPROMImage (WvWord board_index, WvWord dut_index, WvString filename)
Check for eeprom file name.

Detailed Description

EEPROM.

Function Documentation

WvBool __stdcall WvBoardReadCypressEEPROM | ( | WvWord | board_index,
 |  | WvStream | stream,
 |  | WvWord | stream_size
 | ) |  |

Read the board-level EEPROM.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • stream
Parameters:
board_index | Board index
stream | Array where the read data will be placed
stream_size | Size of stream allocated

WvBool __stdcall WvBoardWriteCypressEEPROM | ( | WvWord | board_index,
 |  | WvStream | stream,
 |  | WvWord | stream_size
 | ) |  |

Write the board-level EEPROM.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • stream
Parameters:
board_index | Board index
stream | Write data
stream_size | Size of stream

WvBool __stdcall WvBoardReadDUTEEPROM | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvStream | stream,
 |  | WvWord | stream_size
 | ) |  |

Read the DUT EEPROM.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • stream
Parameters:
board_index | Board index
dut_index | DUT index
stream | Array where the read data will be placed
stream_size | Size of stream allocated

WvBool __stdcall WvBoardWriteDUTEEPROM | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvStream | stream,
 |  | WvWord | stream_size
 | ) |  |

Write the DUT EEPROM.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • stream
Parameters:
board_index | Board index
dut_index | DUT index
stream | Array where the read data will be placed
stream_size | Size of stream allocated

WvBool __stdcall WvBoardLoadDUTEEPPROMImage | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvString | filename
 | ) |  |

Check for eeprom file name.

This will query the DLL to determine if an eeprom image with the given filename exists in the firmware heirachy.

If the filename is a full path, then it will use the full name directly. A full path either starts with a drive letter and a colon and a backslash, or simply with a backslash.

If this is NOT a full path, then the DLL will assume the standard location for the file, namely the eeprom directory.

The return value is true if the command completed successfully.

There will be a callback to the user to indicate if the file was successfully loaded.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • filename
Parameters:
board_index | Board index
dut_index | DUT index
filename | Filename of DUT image


WaveVision DLL: GUI

GUI
[API]

GUI. More...

Functions

WvBool __stdcall | WvBoardRegisterTabEnum (WvWord board_index, WvWord dut_index, WvString *return_tabs_title, WvWord *return_tab_count, Wv_Gui_Tab **return_array_tabs)
Enumerate all tabs.
WvBool __stdcall | WvBoardRegisterControlEnum (WvWord board_index, WvWord dut_index, WvWord tab_index, WvWord *return_control_count, WvControlDefinition **return_array_control_defs)
Enumerate all controls.
WvBool __stdcall | WvBoardRegisterControlChange (WvWord board_index, WvWord dut_index, WvWord tab_index, WvWord control_index, WvControlDefinition *control_def)
Inform DLL of GUI change.
WvBool __stdcall | WvBoardMessageBoxResponse (WvBool yes)
Inform DLL of user interaction with confirmation message box.

Detailed Description

GUI.

Function Documentation

WvBool __stdcall WvBoardRegisterTabEnum | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvString * | return_tabs_title,
 |  | WvWord * | return_tab_count,
 |  | Wv_Gui_Tab ** | return_array_tabs
 | ) |  |

Enumerate all tabs.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_tab_count
The DLL will manage the string returned in:
  • *return_tabs_title

The DLL will manage all the memory associated with:

  • *return_array_tabs

Parameters:
board_index | Board index
dut_index | DUT index
return_tabs_title | Tabs title
return_tab_count | Number of tabs
return_array_tabs | Tab objects

WvBool __stdcall WvBoardRegisterControlEnum | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvWord | tab_index,
 |  | WvWord * | return_control_count,
 |  | WvControlDefinition ** | return_array_control_defs
 | ) |  |

Enumerate all controls.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_control_count
The DLL will manage all the memory associated with:
  • *return_array_control_defs

Parameters:
board_index | Board index
dut_index | DUT index
tab_index | Tab index
return_control_count | Number of controls in this tab
return_array_control_defs | Control definition

WvBool __stdcall WvBoardRegisterControlChange | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvWord | tab_index,
 |  | WvWord | control_index,
 |  | WvControlDefinition * | control_def
 | ) |  |

Inform DLL of GUI change.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • control_def
Parameters:
board_index | Board index
dut_index | DUT index
tab_index | Tab index
control_index | Control index
control_def | Control definition

WvBool __stdcall WvBoardMessageBoxResponse ( WvBool yes )

Inform DLL of user interaction with confirmation message box.

Parameters:
yes Yes/no


WaveVision DLL: Utilities

Utilities
[API]

Utilities. More...

Functions

WvBool __stdcall | WvBoardReadLastError (WvWord board_index, WvString *return_message)
Get the error info.
WvBool __stdcall | WvGetSamplingFrequency (WvWord board_index, WvWord dut_index, WvWord channel_index, WvDouble *return_sampling_frequency)
Get the sampling frequency.
WvBool __stdcall | WvGetScriptVerions (WvWord board_index, WvWord dut_index, WvVersionNumber *return_image_map_version, WvVersionNumber *return_dut_script_version)
Get versions.
WvBool __stdcall | WvGetSupportedDuts (WvWord board_index, WvString *return_dut_names, WvString *return_dut_descriptions)
Get all supported DUTS for a capture board.
WvBool __stdcall | WvSetDut (WvWord board_index, WvWord dut_index, WvString dut_name)
Force the DUT.

Detailed Description

Utilities.

Function Documentation

WvBool __stdcall WvBoardReadLastError | ( | WvWord | board_index,
 |  | WvString * | return_message
 | ) |  |

Get the error info.

Memory Usage:
The DLL will manage the string returned in:
  • *return_message
Parameters:
board_index | Board index
return_message | Message

WvBool __stdcall WvGetSamplingFrequency | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvWord | channel_index,
 |  | WvDouble * | return_sampling_frequency
 | ) |  |

Get the sampling frequency.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_sampling_frequency
Parameters:
board_index | Board index
dut_index | DUT index
channel_index | Channel used to determine the sampling frequency
return_sampling_frequency | Frequency

WvBool __stdcall WvGetScriptVerions | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvVersionNumber * | return_image_map_version,
 |  | WvVersionNumber * | return_dut_script_version
 | ) |  |

Get versions.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_image_map_version
  • return_dut_script_version
Parameters:
board_index | Board index
dut_index | DUT index
return_image_map_version | Image map version
return_dut_script_version | DUT script version

WvBool __stdcall WvGetSupportedDuts | ( | WvWord | board_index,
 |  | WvString * | return_dut_names,
 |  | WvString * | return_dut_descriptions
 | ) |  |

Get all supported DUTS for a capture board.

This currently works on a select number of capture boards. All boards are usually required to have a DUT EEPROM.

The DLL will manage the string returned in:

  • *return_dut_names
  • *return_dut_descriptions

Parameters:
board_index | Board index
return_dut_names | DUT names
return_dut_descriptions | DUT descriptions

WvBool __stdcall WvSetDut | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvString | dut_name
 | ) |  |

Force the DUT.

Parameters:
board_index | Board index
dut_index | DUT index
dut_name | Name of the DUT to use


WaveVision DLL: Low-level access

Low-level access
[API]

Low-level hardware access functions. More...

Functions

WvBool __stdcall | WvDebugAccessRead (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord address, WvWord *return_value)
Read from hardware.
WvBool __stdcall | WvDebugAccessWrite (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord address, WvWord write_value)
Write to hardware.
WvBool __stdcall | WvHardwareRead (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord address, WvWord *return_value)
Read.
WvBool __stdcall | WvHardwareWrite (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord address, WvWord write_value)
Write.
WvBool __stdcall | WvNewHardwareRead (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord device_address, WvWord address_bitwidth, WvWord address, WvWord data_bitwidth, WvWord *return_value)
Read with more paramters.
WvBool __stdcall | WvNewHardwareWrite (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord device_address, WvWord address_bitwidth, WvWord address, WvWord data_bitwidth, WvWord write_value)
Write with more parameters.
WvBool __stdcall | WvNewestHardwareRead (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord bus_index, WvWord device_address, WvWord address_bitwidth, WvWord address, WvWord data_bitwidth, WvWord *return_value)
Read with even more paramters.
WvBool __stdcall | WvNewestHardwareWrite (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord bus_index, WvWord device_address, WvWord address_bitwidth, WvWord address, WvWord data_bitwidth, WvWord write_value)
Write with even more parameters.

Detailed Description

Low-level hardware access functions.

Function Documentation

WvBool __stdcall WvDebugAccessRead | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Debug_Access_Method | access_method,
 |  | WvWord | address,
 |  | WvWord * | return_value
 | ) |  |

Read from hardware.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • return_value
Parameters:
board_index | Board index
dut_index | DUT index
access_method | Access method
address | Address
return_value | Return value

WvBool __stdcall WvDebugAccessWrite | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Debug_Access_Method | access_method,
 |  | WvWord | address,
 |  | WvWord | write_value
 | ) |  |

Write to hardware.

Parameters:
board_index | Board index
dut_index | DUT index
access_method | Access method
address | Address
write_value | Value to write

WvBool __stdcall WvHardwareRead | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Debug_Access_Method | access_method,
 |  | WvWord | address,
 |  | WvWord * | return_value
 | ) |  |

Read.

Same as above

WvBool __stdcall WvHardwareWrite | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Debug_Access_Method | access_method,
 |  | WvWord | address,
 |  | WvWord | write_value
 | ) |  |

Write.

Same as above

WvBool __stdcall WvNewHardwareRead | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Debug_Access_Method | access_method,
 |  | WvWord | device_address,
 |  | WvWord | address_bitwidth,
 |  | WvWord | address,
 |  | WvWord | data_bitwidth,
 |  | WvWord * | return_value
 | ) |  |

Read with more paramters.

Parameters:
board_index | Board index
dut_index | DUT index
access_method | Access method
device_address | Device address
address_bitwidth | Number of bits in address
address | Address
data_bitwidth | Number of bits in data
return_value | Return value

WvBool __stdcall WvNewHardwareWrite | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Debug_Access_Method | access_method,
 |  | WvWord | device_address,
 |  | WvWord | address_bitwidth,
 |  | WvWord | address,
 |  | WvWord | data_bitwidth,
 |  | WvWord | write_value
 | ) |  |

Write with more parameters.

Parameters:
board_index | Board index
dut_index | DUT index
access_method | Access method
device_address | Device address
address_bitwidth | Number of bits in address
address | Address
data_bitwidth | Number of bits in data
write_value | Value to write

WvBool __stdcall WvNewestHardwareRead | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Debug_Access_Method | access_method,
 |  | WvWord | bus_index,
 |  | WvWord | device_address,
 |  | WvWord | address_bitwidth,
 |  | WvWord | address,
 |  | WvWord | data_bitwidth,
 |  | WvWord * | return_value
 | ) |  |

Read with even more paramters.

A certain access method (like SPI or I2C) may have more than one instance on the chip. The bus index selects a particular instance of the bus.

Parameters:
board_index | Board index
dut_index | DUT index
access_method | Access method
bus_index | Bus index
device_address | Device address
address_bitwidth | Number of bits in address
address | Address
data_bitwidth | Number of bits in data
return_value | Return value

WvBool __stdcall WvNewestHardwareWrite | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Debug_Access_Method | access_method,
 |  | WvWord | bus_index,
 |  | WvWord | device_address,
 |  | WvWord | address_bitwidth,
 |  | WvWord | address,
 |  | WvWord | data_bitwidth,
 |  | WvWord | write_value
 | ) |  |

Write with even more parameters.

A certain access method (like SPI or I2C) may have more than one instance on the chip. The bus index selects a particular instance of the bus.

Parameters:
board_index | Board index
dut_index | DUT index
access_method | Access method
bus_index | Bus index
device_address | Device address
address_bitwidth | Number of bits in address
address | Address
data_bitwidth | Number of bits in data
write_value | Value to write


WaveVision DLL: Low level USB access

Low level USB access
[API]

Low level USB access. More...

Functions

WvBool __stdcall | WvBoardBulkRead (WvWord board_index, WvWord endpoint_index, WvStream read_buffer, WvWord num_bytes_to_read)
Bulk read.
WvBool __stdcall | WvBoardBulkWrite (WvWord board_index, WvWord endpoint_index, WvStream write_buffer, WvWord num_bytes_to_write)
Bulk write.
WvBool __stdcall | WvBoardExecuteCommandSequence (WvWord board_index, WvWord dut_index, WvStream command_buffer, WvWord command_buffer_size, WvStream response_buffer, WvWord response_buffer_size)
Execute command sequence.
WvBool __stdcall | WvGetDutEepromType (WvWord board_index, WvWord dut_index, Wv_Dut_Eeprom_Type *return_dut_eeprom_type)
Get the EEPROM formatting type of the DUT EEPROM.

Detailed Description

Low level USB access.

Function Documentation

WvBool __stdcall WvBoardBulkRead | ( | WvWord | board_index,
 |  | WvWord | endpoint_index,
 |  | WvStream | read_buffer,
 |  | WvWord | num_bytes_to_read
 | ) |  |

Bulk read.

This can be used to directly communicate with the Cypress via the endpoint specified.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • read_buffer
Parameters:
board_index | Board index
endpoint_index | Endpoint index
read_buffer | Buffer where the data is placed
num_bytes_to_read | Number of bytes to read

WvBool __stdcall WvBoardBulkWrite | ( | WvWord | board_index,
 |  | WvWord | endpoint_index,
 |  | WvStream | write_buffer,
 |  | WvWord | num_bytes_to_write
 | ) |  |

Bulk write.

This can be used to directly communicate with the Cypress via the endpoint specified.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • write_buffer
Parameters:
board_index | Board index
endpoint_index | Endpoint index
write_buffer | Data to write
num_bytes_to_write | Number of bytes to write

WvBool __stdcall WvBoardExecuteCommandSequence | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | WvStream | command_buffer,
 |  | WvWord | command_buffer_size,
 |  | WvStream | response_buffer,
 |  | WvWord | response_buffer_size
 | ) |  |

Execute command sequence.

NOT USED.

Memory Usage:
The caller must allocate space for the object pointed to by:
  • command_buffer
  • response_buffer
Parameters:
board_index | Board index
dut_index | DUT index
command_buffer | Command buffer
command_buffer_size | Command buffer size
response_buffer | Response buffer
response_buffer_size | Response buffer size

WvBool __stdcall WvGetDutEepromType | ( | WvWord | board_index,
 |  | WvWord | dut_index,
 |  | Wv_Dut_Eeprom_Type * | return_dut_eeprom_type
 | ) |  |

Get the EEPROM formatting type of the DUT EEPROM.

The caller must allocate space for the object pointed to by:

  • return_dut_eeprom_type

Parameters:
board_index | Board index
dut_index | DUT index
return_dut_eeprom_type | Return EEPROM type


WaveVision DLL: Unused

Unused
[API]

Unused. More...

Functions

WvBool __stdcall | WvSetSimulatorScript (WvString script_filename)
Set the simulator script.
WvBool __stdcall | WvBoardCaptureSelect (WvWord board_index, WvWord dut_index, WvCaptureSetup *ptr_capture_setup)
Select.

Detailed Description

Unused.


WaveVision DLL: Class List

  • Class List
  • Class Members

Class List

Here are the classes, structs, unions and interfaces with brief descriptions:
Wv_Channel_Data_Selection_Changed_Params | Data selection changed type
Wv_Dac_Cmd_Data | DAC command
Wv_Dac_Download_Configuration | DAC download configuration
Wv_Dll_Event_Param | Message for events
Wv_Dll_Event_Param_Union | Union of all parameters
Wv_Gui_Tab | GUI tab container
Wv_Hw_Change_Param | Parameters for the hardware change message
Wv_Message_Box_Param | Parameters for the message box
WvButtonDefinition | Button
WvCaptureSetup | Capture Parameters
WvChannelData | Channel representation
WvCheckBoxDefinition | Check box
WvComboBoxDefinition | Combo box
WvControlDefinition | Control definition
WvDUTInfo | Device Under Test (DUT) info
WvLevel1RegisterDefinition | Level 1 Register
WvNumericEditDefinition | Structure representing a numeric edit GUI element
WvRadioButtonDefinition | Radio button
WvSliderDefinition | Slider
WvSpinEditDefinition | Structure representing a spin edit GUI element
WvTextDefinition | Text box
WvVersionNumber | Version number


WaveVision DLL: Wv_Channel_Data_Selection_Changed_Params Struct Reference

Wv_Channel_Data_Selection_Changed_Params Struct Reference
[Messages]

Data selection changed type. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvWord board_index
Board index.
WvWord dut_index
DUT index.
WvWord channel_data_index
Channel data index.

Detailed Description

Data selection changed type.

This is used when the script has forced a change to the currently selected capture configuration. The GUI should use this message to update the display to reflect this change.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: Wv_Dac_Cmd_Data Struct Reference

Wv_Dac_Cmd_Data Struct Reference
[DUT-related structures]

DAC command. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvWord configuration
Configuration to use.
WvDouble freq
Desired DAC frequency.
WvDataFormat data_format
Data format on the supplied data.
WvWord transfer_size
Number of samples in one channel.
WvWord num_channels
Numberof channels to program.
WvWord channel [4]
List of channels to program.
WvBool repeat
Set to true if the sourced data should be continually repeated.
WvWord * data
Data for all the channels.

Detailed Description

DAC command.

Member Data Documentation

WvWord Wv_Dac_Cmd_Data::channel[4]

List of channels to program.

WvWord* Wv_Dac_Cmd_Data::data

Data for all the channels.

data[0 ...transfer_size - 1] contains data for channel 0 data[transfer_size ...(2*transfer_size) - 1] contains data for channel 1 ... data[x*transfer_size...((x+1)*transfer_size) - 1] contains data for channel x

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: Wv_Dac_Download_Configuration Struct Reference

Wv_Dac_Download_Configuration Struct Reference
[DUT-related structures]

DAC download configuration. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvString name
Name.
WvWord bit_width
Sample bitwidth.
WvDouble min_freq
Minimum programmable frequency for the DAC.
WvDouble max_freq
Max programmable freq for the DAC.
WvWord min_transfer_size
Min transfer size in samples for one channel.
WvWord max_transfer_size
Max transfer size.
WvWord max_num_channels
Max number of channels to program at once.

Detailed Description

DAC download configuration.

There will be separate configuration for each distinct memory layout configuration. This layout configuration is imposed by the FPGA. All this means is that if the FPGA can dynamically vary the meaning of one FPGA word or a block of FPGA words, then a different configuration will be created.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: Wv_Dll_Event_Param Struct Reference

Wv_Dll_Event_Param Struct Reference
[Messages]

Message for events. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

Wv_Dll_Event_Id id
Event type.
Wv_Dll_Event_Param_Union param
Parameters.

Detailed Description

Message for events.

This oject is passed to the application via callback to inform the application of some asynchronous event.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: Wv_Dll_Event_Param_Union Union Reference

Wv_Dll_Event_Param_Union Union Reference
[Messages]

Union of all parameters. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

Wv_Hw_Change_Param hw_change
Hw change.
Wv_Message_Box_Param message_box
Message box.
Wv_Channel_Data_Selection_Changed_Params channel_data_selection_changed
Selection changed.

Detailed Description

Union of all parameters.
The documentation for this union was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: Wv_Gui_Tab Struct Reference

Wv_Gui_Tab Struct Reference
[GUI-related structures]

GUI tab container. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvString caption
Caption.
WvString tags
Optional tags.
WvWord level
Level of register supported.

Detailed Description

GUI tab container.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: Wv_Hw_Change_Param Struct Reference

Wv_Hw_Change_Param Struct Reference
[Messages]

Parameters for the hardware change message. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

Wv_Hw_Change_Id id
Message ID.
WvWord board_index
Board index.
WvWord dut_index
DUT index.

Detailed Description

Parameters for the hardware change message.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: Wv_Message_Box_Param Struct Reference

Wv_Message_Box_Param Struct Reference
[Messages]

Parameters for the message box. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

Wv_Mesage_Box_Id id
Message box type.
WvString Caption
Caption.
WvString Message
Message displayed in message box.
WvBool Enabled
Enabled state.

Detailed Description

Parameters for the message box.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvButtonDefinition Struct Reference

WvButtonDefinition Struct Reference
[GUI-related structures]

Button. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvString Caption
Caption.
WvString Hint
Hint.
WvBool Enabled
Enabled state.

Detailed Description

Button.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvCaptureSetup Struct Reference

WvCaptureSetup Struct Reference
[DUT-related structures]

Capture Parameters. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvDouble __u1__
UNUSED.
WvWord TransferSize
Size of capture in samples.
WvWord ChannelDataIndex
Index to ChannelData in WvDutInfo.
WvWord HistogramEnable
0 is capture or DAC, 1 is histogram
WvWord HistogramMaxBin
Set histogram max bin value before stop.
WvDataFormat DataFormat
Data format.
WvWord __u2__
UNUSED.
WvWord __u3__
UNUSED.
WvWord __u4__
UNUSED.
WvWord __u5__
UNUSED.
WvWord __u6__
UNUSED.

Detailed Description

Capture Parameters.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvChannelData Struct Reference

WvChannelData Struct Reference
[DUT-related structures]

Channel representation. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvString Name
Channel configuration name string (allocated by DLL).
WvWord __u1__
UNUSED.
WvWord TransferMinSize
Min sample size of capture or DAC transfer.
WvWord TransferMaxSize
Max sample size of capture or DAC transfer.
WvWord num_channels_returned_to_user
Number of channels returned to the user.
WvWord __u2__
UNUSED.
WvWord __u3__
UNUSED.
WvWord | __u4__ [2]
UNUSED.
WvWord __u5__
UNUSED.
WvWord __u6__
UNUSED.
WvWord __u7__
UNUSED.
WvWord __u8__
UNUSED.
WvWord | __u9__ [8]
UNUSED.
WvDataFormat default_data_format
Default data format.
WvWord BitSize
Bits per sample.
WvDouble __u10__
UNUSED.
WvBool sampling_freq_changes
TRUE if the sampling frequency changes.

Detailed Description

Channel representation.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvCheckBoxDefinition Struct Reference

WvCheckBoxDefinition Struct Reference
[GUI-related structures]

Check box. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvString Caption
Caption.
WvString Hint
Hint.
WvBool Checked
Checked state.
WvBool Enabled
Enabled state.
WvBool Highlighted
Highlighted if true.

Detailed Description

Check box.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvComboBoxDefinition Struct Reference

WvComboBoxDefinition Struct Reference
[GUI-related structures]

Combo box. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvWord ItemCount
Number of items in list.
char ** ItemList
Array of pointers to list items.
WvWord * Values
Array of values associated with list items.
WvWord ItemSelected
Selected item number (0 based).
WvString Caption
Caption.
WvString Hint
Hint.
WvString Units
Control units.
WvBool Highlighted
Highlighted if true.
WvBool Enabled
Enabled state.

Detailed Description

Combo box.

Right now, this is just a pulldown menu

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvControlDefinition Struct Reference

WvControlDefinition Struct Reference
[GUI-related structures]

Control definition. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvRegisterControl Type
Type of control.
union {
WvNumericEditDefinition NumericEdit
WvSpinEditDefinition SpinEdit
WvComboBoxDefinition ComboBox
WvButtonDefinition Button
WvTextDefinition Text
WvCheckBoxDefinition CheckBox
WvRadioButtonDefinition RadioButton
WvSliderDefinition Slider
WvLevel1RegisterDefinition Level1Register
};

Detailed Description

Control definition.

This is the generic object that is passed between the DLL and the user of the DLL. This contains all the information for one type of control.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvDUTInfo Struct Reference

WvDUTInfo Struct Reference
[DUT-related structures]

Device Under Test (DUT) info. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvDouble __u1__
UNUSED.
WvDouble __u2__
UNUSED.
WvWord Type
0 if DAC, 1 if ADC
WvWord __u3__
UNUSED.
WvWord HistogramInfo
Bit 0 if histogram supported.
WvWord ChannelCount
Number of channel data entries.
WvChannelData * pChannelData
Channel names/number of channels.
WvString Revision
Revision.
WvWord __u4__
UNUSED.
WvWord __u5__
UNUSED.
WvWord __u6__ [8]
UNUSED.

Detailed Description

Device Under Test (DUT) info.

Member Data Documentation

WvWord WvDUTInfo::__u3__

UNUSED.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvLevel1RegisterDefinition Struct Reference

WvLevel1RegisterDefinition Struct Reference
[GUI-related structures]

Level 1 Register. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvWord Address
Address.
WvString Hint
Hint.
WvWord Value
Value.
WvBitSize DataWidth
Data width.
WvBitSize AddressWidth
Address width.
WvRegisterType RegisterType
Register type.
WvRegisterAction Action
Register action.

Detailed Description

Level 1 Register.

Member Data Documentation

WvRegisterAction WvLevel1RegisterDefinition::Action

Register action.

This is set by the caller

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvNumericEditDefinition Struct Reference

WvNumericEditDefinition Struct Reference
[GUI-related structures]

Structure representing a numeric edit GUI element. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvDouble Min
Minimun value allowed.
WvDouble Max
Maximum value allowed.
WvDouble Value
Value represented in the GUI.
WvWord DecimalPlaces
Number of decimal places.
WvNumValueType Type
Type of number: integer or float.
WvString Caption
Caption.
WvString Hint
Hint.
WvString Units
Units for the value.
WvBool Highlighted
Highlighted if true.
WvBool Enabled
Enabled state.

Detailed Description

Structure representing a numeric edit GUI element.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvRadioButtonDefinition Struct Reference

WvRadioButtonDefinition Struct Reference
[GUI-related structures]

Radio button. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvString Caption
Caption.
WvString Hint
Hint.
WvBool Checked
Checked state.
WvWord GroupNumber
Group number.
WvBool Enabled
Enabled state.
WvBool Highlighted
Highlighted if true.

Detailed Description

Radio button.

The GroupNumber field is used to group many radio buttons together. Only one radio button can be selected within the group.

The group number should be unique to a tab.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvSliderDefinition Struct Reference

WvSliderDefinition Struct Reference
[GUI-related structures]

Slider. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvWord Min
Min.
WvWord Max
Max.
WvWord Value
Value.
WvWord Width
Width of the slider bar.
WvString Units
Units.
WvString Caption
Caption.
WvString Hint
Hint.
WvBool Enabled
Enabled.

Detailed Description

Slider.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvSpinEditDefinition Struct Reference

WvSpinEditDefinition Struct Reference
[GUI-related structures]

Structure representing a spin edit GUI element. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvDouble Min
< Minimun value allowed
WvDouble Max
Maximum value allowed.
WvDouble Value
Value represented in the GUI.
WvDouble Increment
Increment for each spin change.
WvWord DecimalPlaces
Number of decimal places.
WvNumValueType Type
Type of number: integer or float.
WvString Caption
Caption.
WvString Hint
Hint.
WvString Units
Units for the value.
WvBool Highlighted
Highlighted if true.
WvBool Enabled
Enabled state.

Detailed Description

Structure representing a spin edit GUI element.

The major difference between this and the numeric edit is the increment field. This field determines how much to adjust the value for each change in the GUI element.

So as an example, the GUI may display a sliding bar for this element. Each tick in the slide bar will represent a change of +Increment or -Increment in the numeric value.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvTextDefinition Struct Reference

WvTextDefinition Struct Reference
[GUI-related structures]

Text box. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvString Text
Text.
WvBool Enabled
Enabled state.

Detailed Description

Text box.

This is a constant display and cannot be changed by the user.

The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: WvVersionNumber Struct Reference

WvVersionNumber Struct Reference
[Basic Types]

Version number. More...

#include <wvdll_defs.h>

List of all members.

Public Attributes

WvWord Major
Major.
WvWord Minor
Minor.
WvWord Release
Release.
WvWord Build
Build.

Detailed Description

Version number.
The documentation for this struct was generated from the following file:
  • wvdll_defs.h


WaveVision DLL: Class Members

  • All
  • Variables
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w

Here is a list of all documented class members with links to the class documentation for each member:

- _ -

  • __u10__ : WvChannelData
  • __u1__ : WvChannelData , WvCaptureSetup , WvDUTInfo
  • __u2__ : WvChannelData , WvDUTInfo , WvCaptureSetup
  • __u3__ : WvChannelData , WvDUTInfo , WvCaptureSetup
  • __u4__ : WvChannelData , WvDUTInfo , WvCaptureSetup
  • __u5__ : WvCaptureSetup , WvDUTInfo , WvChannelData
  • __u6__ : WvCaptureSetup , WvChannelData , WvDUTInfo
  • __u7__ : WvChannelData
  • __u8__ : WvChannelData
  • __u9__ : WvChannelData

- a -

  • Action : WvLevel1RegisterDefinition
  • Address : WvLevel1RegisterDefinition
  • AddressWidth : WvLevel1RegisterDefinition

- b -

  • bit_width : Wv_Dac_Download_Configuration
  • BitSize : WvChannelData
  • board_index : Wv_Channel_Data_Selection_Changed_Params , Wv_Hw_Change_Param
  • Build : WvVersionNumber

- c -

  • caption : Wv_Gui_Tab
  • Caption : WvNumericEditDefinition , WvComboBoxDefinition , WvSliderDefinition , Wv_Message_Box_Param , WvButtonDefinition , WvSpinEditDefinition , WvCheckBoxDefinition , WvRadioButtonDefinition
  • channel : Wv_Dac_Cmd_Data
  • channel_data_index : Wv_Channel_Data_Selection_Changed_Params
  • channel_data_selection_changed : Wv_Dll_Event_Param_Union
  • ChannelCount : WvDUTInfo
  • ChannelDataIndex : WvCaptureSetup
  • Checked : WvCheckBoxDefinition , WvRadioButtonDefinition
  • configuration : Wv_Dac_Cmd_Data

- d -

  • data : Wv_Dac_Cmd_Data
  • data_format : Wv_Dac_Cmd_Data
  • DataFormat : WvCaptureSetup
  • DataWidth : WvLevel1RegisterDefinition
  • DecimalPlaces : WvNumericEditDefinition , WvSpinEditDefinition
  • default_data_format : WvChannelData
  • dut_index : Wv_Hw_Change_Param , Wv_Channel_Data_Selection_Changed_Params

- e -

  • Enabled : WvNumericEditDefinition , Wv_Message_Box_Param , WvSliderDefinition , WvRadioButtonDefinition , WvCheckBoxDefinition , WvTextDefinition , WvButtonDefinition , WvComboBoxDefinition , WvSpinEditDefinition

- f -

  • freq : Wv_Dac_Cmd_Data

- g -

  • GroupNumber : WvRadioButtonDefinition

- h -

  • Highlighted : WvNumericEditDefinition , WvSpinEditDefinition , WvCheckBoxDefinition , WvRadioButtonDefinition , WvComboBoxDefinition
  • Hint : WvLevel1RegisterDefinition , WvComboBoxDefinition , WvRadioButtonDefinition , WvButtonDefinition , WvCheckBoxDefinition , WvNumericEditDefinition , WvSpinEditDefinition , WvSliderDefinition
  • HistogramEnable : WvCaptureSetup
  • HistogramInfo : WvDUTInfo
  • HistogramMaxBin : WvCaptureSetup
  • hw_change : Wv_Dll_Event_Param_Union

- i -

  • id : Wv_Hw_Change_Param , Wv_Message_Box_Param , Wv_Dll_Event_Param
  • Increment : WvSpinEditDefinition
  • ItemCount : WvComboBoxDefinition
  • ItemList : WvComboBoxDefinition
  • ItemSelected : WvComboBoxDefinition

- l -

  • level : Wv_Gui_Tab

- m -

  • Major : WvVersionNumber
  • Max : WvNumericEditDefinition , WvSliderDefinition , WvSpinEditDefinition
  • max_freq : Wv_Dac_Download_Configuration
  • max_num_channels : Wv_Dac_Download_Configuration
  • max_transfer_size : Wv_Dac_Download_Configuration
  • Message : Wv_Message_Box_Param
  • message_box : Wv_Dll_Event_Param_Union
  • Min : WvSpinEditDefinition , WvNumericEditDefinition , WvSliderDefinition
  • min_freq : Wv_Dac_Download_Configuration
  • min_transfer_size : Wv_Dac_Download_Configuration
  • Minor : WvVersionNumber

- n -

  • name : Wv_Dac_Download_Configuration
  • Name : WvChannelData
  • num_channels : Wv_Dac_Cmd_Data
  • num_channels_returned_to_user : WvChannelData

- p -

  • param : Wv_Dll_Event_Param
  • pChannelData : WvDUTInfo

- r -

  • RegisterType : WvLevel1RegisterDefinition
  • Release : WvVersionNumber
  • repeat : Wv_Dac_Cmd_Data
  • Revision : WvDUTInfo

- s -

  • sampling_freq_changes : WvChannelData

- t -

  • tags : Wv_Gui_Tab
  • Text : WvTextDefinition
  • transfer_size : Wv_Dac_Cmd_Data
  • TransferMaxSize : WvChannelData
  • TransferMinSize : WvChannelData
  • TransferSize : WvCaptureSetup
  • Type : WvNumericEditDefinition , WvControlDefinition , WvSpinEditDefinition , WvDUTInfo

- u -

  • Units : WvNumericEditDefinition , WvSliderDefinition , WvComboBoxDefinition , WvSpinEditDefinition

- v -

  • Value : WvNumericEditDefinition , WvSpinEditDefinition , WvLevel1RegisterDefinition , WvSliderDefinition
  • Values : WvComboBoxDefinition

- w -

  • Width : WvSliderDefinition


WaveVision DLL: File Index

  • File List
  • File Members

File List

Here is a list of all documented files with brief descriptions:
wv_debug_module.h [code] | WV DLL interface
wvdll.h [code] | WV DLL interface
wvdll_defs.h [code] | WV DLL interface


WaveVision DLL: wv_debug_module.h File Reference

wv_debug_module.h File Reference

WV DLL interface. More...

Go to the source code of this file.

Defines

#define | WV_DEBUG_MODULE_TABLE
Debug module preprocessor table.
#define | WV_DEBUG_MODULE_ENTRY(_X_) WV_DEBUG_MODULE_##_X_,
Module entry.

Enumerations

enum Wv_Debug_Module {
WV_DEBUG_MODULE_GEN, WV_DEBUG_MODULE_CMD, WV_DEBUG_MODULE_CMD_API, WV_DEBUG_MODULE_INTERNAL,
WV_DEBUG_MODULE_SEARCH, WV_DEBUG_MODULE_USB, WV_DEBUG_MODULE_BIGGIG, WV_DEBUG_MODULE_EEPROM,
WV_DEBUG_MODULE_CLOCK, WV_DEBUG_MODULE_CAPTURE, WV_DEBUG_MODULE_LOAD_FPGA, WV_DEBUG_MODULE_BOARD_STATE,
WV_DEBUG_MODULE_BOARD_STATE_POLLING, WV_DEBUG_MODULE_FILE, WV_DEBUG_MODULE_TEST_MODE, WV_DEBUG_MODULE_SCRIPT_EP,
WV_DEBUG_MODULE_SCRIPT_EP_FACTORY, WV_DEBUG_MODULE_SCRIPT, WV_DEBUG_MODULE_CB, WV_DEBUG_MODULE_XML_LIB,
WV_DEBUG_MODULE_UTILS, WV_DEBUG_MODULE_MAX
}
Various modules in the DLL whose debug output can be enabled and disabled. More...

Detailed Description

WV DLL interface.

File
//DCS/wavevision/win32/dll/wv_debug_module.h
Date
2009/04/30
Revision
#3
Author
AKETSC


WaveVision DLL: wvdll.h File Reference

wvdll.h File Reference

WV DLL interface. More...

#include "wvdll_defs.h"

Go to the source code of this file.

Defines

#define | Wv_API __stdcall
Unknown.

Functions

WvBool __stdcall | WvDebugModuleModify (Wv_Debug_Module module, WvBool enable)
Modify debug status.
WvBool __stdcall | WvDebugModuleModifyAll (WvBool enable)
Modify call debug status.
WvBool __stdcall | WvDebugModuleSetOutputFilename (WvString filename)
Set output filename.
WvBool __stdcall | WvBoardConfigureGuiChangeCallback (WvGuiChangeCallback gui_change_callback)
Set the GUI change callback.
WvBool __stdcall | WvBoardConfigureDllEventCallback (WvDllEventCallback dll_event_callback)
Set the even change callback.
WvBool __stdcall | WvChangeImageDirectory (WvString new_directory_name)
Change output directory.
WvBool __stdcall | WvEnableSimulator (WvBool enable)
Enable simulator.
WvBool __stdcall | WvAllowUnnamedDUTs (WvBool allow)
Allow unnamed DUTs.
WvBool __stdcall | WvBoardEnum (WvWord *return_board_count, WvString **return_array_board_names, WvVersionNumber *return_dll_version)
Begin the board enumeration process.
WvBool __stdcall | WvBoardOpen (WvWord board_index, WvString user_defined_cypress_image_filename, WvWord *return_cypress_version, WvVersionNumber *return_firmware_version)
Open the board.
WvBool __stdcall | WvBoardDUTEnum (WvWord board_index, WvWord *return_dut_count, WvString **return_array_dut_names)
Begin the enumeration process for DUTs on a board.
WvBool __stdcall | WvBoardLoadFPGA (WvWord board_index, WvWord dut_index, WvString user_defined_fpga_image_filename, WvVersionNumber *return_fpga_version)
Load the FPGA.
WvBool __stdcall | WvBoardReadDUTInfo (WvWord board_index, WvWord dut_index, WvDUTInfo *return_dut_info, WvVersionNumber *return_dut_version)
Get the DUT info.
WvBool __stdcall | WvEnableCallbacks (WvBool enable)
Enable callbacks back to caller.
WvBool __stdcall | WvBoardReset (WvWord board_index)
Reset the board.
WvBool __stdcall | WvBoardResetAll (void)
Reset all boards.
WvBool __stdcall | WvBoardClose (WvWord board_index)
Close the board.
WvBool __stdcall | WvShutdown (void)
Shutdown DLL.
WvBool __stdcall | WvBoardWriteCaptureStart (WvWord board_index, WvWord dut_index, WvCaptureSetup *ptr_capture_setup)
Begin the capture.
WvBool __stdcall | WvBoardWriteCaptureEnd (WvWord board_index, WvWord dut_index)
Stop the capture.
WvBool __stdcall | WvBoardReadCaptureData (WvWord board_index, WvWord dut_index, WvWord *return_data, WvWord sizeof_data_allocated_by_caller, WvBool *return_data_valid)
Acquire the capture data.
WvBool __stdcall | WvDacExecCommand (WvWord board_index, WvWord dut_index, Wv_Dac_Cmd dac_cmd, Wv_Dac_Cmd_Data *req)
Execute the DAC command.
WvBool __stdcall | WvBoardReadCypressEEPROM (WvWord board_index, WvStream stream, WvWord stream_size)
Read the board-level EEPROM.
WvBool __stdcall | WvBoardWriteCypressEEPROM (WvWord board_index, WvStream stream, WvWord stream_size)
Write the board-level EEPROM.
WvBool __stdcall | WvBoardReadDUTEEPROM (WvWord board_index, WvWord dut_index, WvStream stream, WvWord stream_size)
Read the DUT EEPROM.
WvBool __stdcall | WvBoardWriteDUTEEPROM (WvWord board_index, WvWord dut_index, WvStream stream, WvWord stream_size)
Write the DUT EEPROM.
WvBool __stdcall | WvBoardLoadDUTEEPPROMImage (WvWord board_index, WvWord dut_index, WvString filename)
Check for eeprom file name.
WvBool __stdcall | WvBoardRegisterTabEnum (WvWord board_index, WvWord dut_index, WvString *return_tabs_title, WvWord *return_tab_count, Wv_Gui_Tab **return_array_tabs)
Enumerate all tabs.
WvBool __stdcall | WvBoardRegisterControlEnum (WvWord board_index, WvWord dut_index, WvWord tab_index, WvWord *return_control_count, WvControlDefinition **return_array_control_defs)
Enumerate all controls.
WvBool __stdcall | WvBoardRegisterControlChange (WvWord board_index, WvWord dut_index, WvWord tab_index, WvWord control_index, WvControlDefinition *control_def)
Inform DLL of GUI change.
WvBool __stdcall | WvBoardMessageBoxResponse (WvBool yes)
Inform DLL of user interaction with confirmation message box.
WvBool __stdcall | WvBoardReadLastError (WvWord board_index, WvString *return_message)
Get the error info.
WvBool __stdcall | WvGetSamplingFrequency (WvWord board_index, WvWord dut_index, WvWord channel_index, WvDouble *return_sampling_frequency)
Get the sampling frequency.
WvBool __stdcall | WvGetScriptVerions (WvWord board_index, WvWord dut_index, WvVersionNumber *return_image_map_version, WvVersionNumber *return_dut_script_version)
Get versions.
WvBool __stdcall | WvGetSupportedDuts (WvWord board_index, WvString *return_dut_names, WvString *return_dut_descriptions)
Get all supported DUTS for a capture board.
WvBool __stdcall | WvSetDut (WvWord board_index, WvWord dut_index, WvString dut_name)
Force the DUT.
WvBool __stdcall | WvDebugAccessRead (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord address, WvWord *return_value)
Read from hardware.
WvBool __stdcall | WvDebugAccessWrite (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord address, WvWord write_value)
Write to hardware.
WvBool __stdcall | WvHardwareRead (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord address, WvWord *return_value)
Read.
WvBool __stdcall | WvHardwareWrite (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord address, WvWord write_value)
Write.
WvBool __stdcall | WvNewHardwareRead (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord device_address, WvWord address_bitwidth, WvWord address, WvWord data_bitwidth, WvWord *return_value)
Read with more paramters.
WvBool __stdcall | WvNewHardwareWrite (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord device_address, WvWord address_bitwidth, WvWord address, WvWord data_bitwidth, WvWord write_value)
Write with more parameters.
WvBool __stdcall | WvNewestHardwareRead (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord bus_index, WvWord device_address, WvWord address_bitwidth, WvWord address, WvWord data_bitwidth, WvWord *return_value)
Read with even more paramters.
WvBool __stdcall | WvNewestHardwareWrite (WvWord board_index, WvWord dut_index, Wv_Debug_Access_Method access_method, WvWord bus_index, WvWord device_address, WvWord address_bitwidth, WvWord address, WvWord data_bitwidth, WvWord write_value)
Write with even more parameters.
WvBool __stdcall | WvBoardBulkRead (WvWord board_index, WvWord endpoint_index, WvStream read_buffer, WvWord num_bytes_to_read)
Bulk read.
WvBool __stdcall | WvBoardBulkWrite (WvWord board_index, WvWord endpoint_index, WvStream write_buffer, WvWord num_bytes_to_write)
Bulk write.
WvBool __stdcall | WvBoardExecuteCommandSequence (WvWord board_index, WvWord dut_index, WvStream command_buffer, WvWord command_buffer_size, WvStream response_buffer, WvWord response_buffer_size)
Execute command sequence.
WvBool __stdcall | WvGetDutEepromType (WvWord board_index, WvWord dut_index, Wv_Dut_Eeprom_Type *return_dut_eeprom_type)
Get the EEPROM formatting type of the DUT EEPROM.
WvBool __stdcall | WvSetSimulatorScript (WvString script_filename)
Set the simulator script.
WvBool __stdcall | WvBoardCaptureSelect (WvWord board_index, WvWord dut_index, WvCaptureSetup *ptr_capture_setup)
Select.

Detailed Description

WV DLL interface.

File
//DCS/wavevision/win32/dll/wvdll.h
Date
2009/06/18
Revision
#82
Author
AKETSC


WaveVision DLL: wvdll_defs.h File Reference

wvdll_defs.h File Reference

WV DLL interface. More...

#include "wv_debug_module.h"

Go to the source code of this file.

Classes

struct | WvVersionNumber
Version number. More...
struct | Wv_Dac_Download_Configuration
DAC download configuration. More...
struct | Wv_Dac_Cmd_Data
DAC command. More...
struct | WvChannelData
Channel representation. More...
struct | WvDUTInfo
Device Under Test (DUT) info. More...
struct | WvCaptureSetup
Capture Parameters. More...
struct | Wv_Gui_Tab
GUI tab container. More...
struct | WvNumericEditDefinition
Structure representing a numeric edit GUI element. More...
struct | WvSpinEditDefinition
Structure representing a spin edit GUI element. More...
struct | WvComboBoxDefinition
Combo box. More...
struct | WvButtonDefinition
Button. More...
struct | WvTextDefinition
Text box. More...
struct | WvCheckBoxDefinition
Check box. More...
struct | WvRadioButtonDefinition
Radio button. More...
struct | WvSliderDefinition
Slider. More...
struct | WvLevel1RegisterDefinition
Level 1 Register. More...
struct | WvControlDefinition
Control definition. More...
struct | Wv_Hw_Change_Param
Parameters for the hardware change message. More...
struct | Wv_Message_Box_Param
Parameters for the message box. More...
struct | Wv_Channel_Data_Selection_Changed_Params
Data selection changed type. More...
union | Wv_Dll_Event_Param_Union
Union of all parameters. More...
struct | Wv_Dll_Event_Param
Message for events. More...

Defines

#define | MAX_BOARD 16
Maximum number of simultaneous boards supported by DLL.
#define | MAX_DUT 1
Maximum number of DUTs on a board.
#define | PUBLIC_WV_MAX_NUM_SIMULTANEOUS_CAPTURES 2
Maximum number of simultaneous captures.
#define | PUBLIC_WV_ACQUISITION_MAX_SAMPLES 8
Maximum number of samples contains within one acquisition.
#define | PUBLIC_WV_MAX_CONFIGURATIONS 32
Maximum number of capture configurations supported.
#define | WV5_FPGA_REGISTER_ADDR_BASE 0xd000
Base address for the SigPath data API compliant FPGA images.
#define | WV5_FPGA_REGISTER_ADDR_SIZE 0x1000
Address space size for the SigPath data API compliant FPGA images.
#define | SENSORPATH_DATA_ADDR_BASE 0xcf00
SensorPath base address.
#define | SENSORPATH_DATA_ADDR_SIZE 0x0100
SensorPath address space size.
#define | WV_MAX_NUM_SIMULTANEOUS_DAC_CHANNELS_PROGRAMMED 4
Maximum number of DAC channels programmed.

Typedefs

typedef unsigned long | WvBool
Boolean.
typedef unsigned long | WvWord
Unsigned 32 bit word.
typedef double | WvDouble
Double precision floating point.
typedef char * | WvString
A null terminated string.
typedef unsigned char | WvStreamElement
A stream of data bytes.
typedef WvStreamElement * | WvStream
A stream is a pointer to stream elements.
typedef WvVersionNumber | Wv_Version_Number
Alternative name for the version number.
typedef WvDataFormat | Wv_Data_Format
Alternative name for format.
typedef WvChannelData | Wv_Capture_Configuration
Alternative name.
typedef WvDUTInfo | Wv_Dut_Info
Alternative name.
typedef WvCaptureSetup | Wv_Capture_Request
Alternative name.
typedef WvBool(* | WvGuiChangeCallback )(WvWord boardIndex, WvWord DUTIndex, WvWord tabindex, WvWord controlindex, WvControlDefinition *controlDef)
Callback called when a GUI element has changed.
typedef WvBool(* | WvDllEventCallback )(Wv_Dll_Event_Param *event_param)
Prototype for the callback.

Enumerations

enum | Wv_Return { WV_RETURN_OK, WV_RETURN_ERROR_NON_FATAL, WV_RETURN_ERROR }
Return code. More...
enum | WvDataFormat { WvBinaryFormat = 0x1000000, WvOffsetBinaryFormat, WvTwosComplementFormat }
Data format for the sampled data. More...
enum | Wv_Dut_Eeprom_Type { WV_DUT_EEPROM_STANDARD, WV_DUT_EEPROM_FMC }
DUT EEPROM type. More...
enum | Wv_Dac_Cmd { WV_DAC_CMD_DOWNLOAD_DATA, WV_DAC_CMD_START_SOURCING, WV_DAC_CMD_STOP_SOURCING }
DAC command type. More...
enum WvRegisterControl {
WvNumericEdit = 0x1000000, WvSpinEdit, WvComboBox, WvButton,
WvText, WvCheckbox, WvRadioButton, WvSlider,
WvLevel1Register
}
Types of GUI controls available. More...
enum | WvNumValueType { WvHex = 0x1000000, WvInteger, WvFloat }
They type of number represented by the GUI. More...
enum | WvBitSize { WV_BIT_SIZE_8 = 0x1000000, WV_BIT_SIZE_16 }
Bit size. More...
enum | WvRegisterType { WV_REGISTER_TYPE_READ_ONLY = 0x1000000, WV_REGISTER_TYPE_READ_WRITE, WV_REGISTER_TYPE_WRITE_ONLY }
Register type. More...
enum | WvRegisterAction { WV_REGISTER_ACTION_READ = 0x1000000, WV_REGISTER_ACTION_WRITE }
Register action. More...
enum Wv_Hw_Change_Id {
WV_HW_CHANGE_BOARD_DISCONNECT = 0x1000000, WV_HW_CHANGE_BOARD_CONNECT, WV_HW_CHANGE_DUT_DISCONNECT, WV_HW_CHANGE_DUT_CONNECT,
WV_HW_CHANGE_POWER_ON, WV_HW_CHANGE_POWER_OFF
}
Type of hardware change. More...
enum | Wv_Mesage_Box_Id { WV_MESSAGE_BOX_WARNING = 0x1000000, WV_MESSAGE_BOX_ERROR, WV_MESSAGE_BOX_INFORMATION, WV_MESSAGE_BOX_CONFIRMATION }
Type of message boxes. More...
enum Wv_Dll_Event_Id {
WV_DLL_EVENT_HW_CHANGE = 0x1000000, WV_DLL_EVENT_MESSAGE_BOX, WV_DLL_EVENT_DUT_EEPROM_RELOADED, WV_DLL_EVENT_CYPRESS_EEPROM_RELOADED,
WV_DLL_EVENT_SIMULATOR_LOADED, WV_DLL_EVENT_CHANNEL_DATA_SELECTION_CHANGED
}
Types of asynchronous DLL events. More...
enum Wv_Debug_Access_Method {
WV_DEBUG_ACCESS_MEMORY_MAPPED = 0x1000000, WV_DEBUG_ACCESS_SPI, WV_DEBUG_ACCESS_PORT_FPGA_REGISTER, WV_DEBUG_ACCESS_I2C,
WV_DEBUG_ACCESS_CYPRESS_SFR, WV_DEBUG_ACCESS_PRIVATE, WV_DEBUG_ACCESS_MAX
}
Debug interface. More...

Detailed Description

WV DLL interface.

File
//DCS/wavevision/win32/dll/wvdll_defs.h
Date
2009/04/30
Revision
#42
Author
AKETSC


WaveVision DLL: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • m
  • p
  • s
  • w

Here is a list of all documented file members with links to the documentation:

- m -

  • MAX_BOARD : wvdll_defs.h
  • MAX_DUT : wvdll_defs.h

- p -

  • PUBLIC_WV_ACQUISITION_MAX_SAMPLES : wvdll_defs.h
  • PUBLIC_WV_MAX_CONFIGURATIONS : wvdll_defs.h
  • PUBLIC_WV_MAX_NUM_SIMULTANEOUS_CAPTURES : wvdll_defs.h

- s -

  • SENSORPATH_DATA_ADDR_BASE : wvdll_defs.h
  • SENSORPATH_DATA_ADDR_SIZE : wvdll_defs.h

- w -

  • WV5_FPGA_REGISTER_ADDR_BASE : wvdll_defs.h
  • WV5_FPGA_REGISTER_ADDR_SIZE : wvdll_defs.h
  • Wv_API : wvdll.h
  • WV_BIT_SIZE_16 : wvdll_defs.h
  • WV_BIT_SIZE_8 : wvdll_defs.h
  • Wv_Capture_Configuration : wvdll_defs.h
  • Wv_Capture_Request : wvdll_defs.h
  • Wv_Dac_Cmd : wvdll_defs.h
  • WV_DAC_CMD_DOWNLOAD_DATA : wvdll_defs.h
  • WV_DAC_CMD_START_SOURCING : wvdll_defs.h
  • WV_DAC_CMD_STOP_SOURCING : wvdll_defs.h
  • Wv_Data_Format : wvdll_defs.h
  • Wv_Debug_Access_Method : wvdll_defs.h
  • Wv_Debug_Module : wv_debug_module.h
  • WV_DEBUG_MODULE_ENTRY : wv_debug_module.h
  • WV_DEBUG_MODULE_TABLE : wv_debug_module.h
  • WV_DLL_EVENT_CHANNEL_DATA_SELECTION_CHANGED : wvdll_defs.h
  • WV_DLL_EVENT_CYPRESS_EEPROM_RELOADED : wvdll_defs.h
  • WV_DLL_EVENT_DUT_EEPROM_RELOADED : wvdll_defs.h
  • WV_DLL_EVENT_HW_CHANGE : wvdll_defs.h
  • Wv_Dll_Event_Id : wvdll_defs.h
  • WV_DLL_EVENT_MESSAGE_BOX : wvdll_defs.h
  • WV_DLL_EVENT_SIMULATOR_LOADED : wvdll_defs.h
  • WV_DUT_EEPROM_FMC : wvdll_defs.h
  • WV_DUT_EEPROM_STANDARD : wvdll_defs.h
  • Wv_Dut_Eeprom_Type : wvdll_defs.h
  • Wv_Dut_Info : wvdll_defs.h
  • WV_HW_CHANGE_BOARD_CONNECT : wvdll_defs.h
  • WV_HW_CHANGE_BOARD_DISCONNECT : wvdll_defs.h
  • WV_HW_CHANGE_DUT_CONNECT : wvdll_defs.h
  • WV_HW_CHANGE_DUT_DISCONNECT : wvdll_defs.h
  • Wv_Hw_Change_Id : wvdll_defs.h
  • WV_HW_CHANGE_POWER_OFF : wvdll_defs.h
  • WV_HW_CHANGE_POWER_ON : wvdll_defs.h
  • WV_MAX_NUM_SIMULTANEOUS_DAC_CHANNELS_PROGRAMMED : wvdll_defs.h
  • Wv_Mesage_Box_Id : wvdll_defs.h
  • WV_MESSAGE_BOX_CONFIRMATION : wvdll_defs.h
  • WV_MESSAGE_BOX_ERROR : wvdll_defs.h
  • WV_MESSAGE_BOX_INFORMATION : wvdll_defs.h
  • WV_MESSAGE_BOX_WARNING : wvdll_defs.h
  • WV_REGISTER_ACTION_READ : wvdll_defs.h
  • WV_REGISTER_ACTION_WRITE : wvdll_defs.h
  • WV_REGISTER_TYPE_READ_ONLY : wvdll_defs.h
  • WV_REGISTER_TYPE_READ_WRITE : wvdll_defs.h
  • WV_REGISTER_TYPE_WRITE_ONLY : wvdll_defs.h
  • Wv_Return : wvdll_defs.h
  • WV_RETURN_ERROR : wvdll_defs.h
  • WV_RETURN_ERROR_NON_FATAL : wvdll_defs.h
  • WV_RETURN_OK : wvdll_defs.h
  • Wv_Version_Number : wvdll_defs.h
  • WvAllowUnnamedDUTs() : wvdll.h
  • WvBinaryFormat : wvdll_defs.h
  • WvBitSize : wvdll_defs.h
  • WvBoardBulkRead() : wvdll.h
  • WvBoardBulkWrite() : wvdll.h
  • WvBoardCaptureSelect() : wvdll.h
  • WvBoardClose() : wvdll.h
  • WvBoardConfigureDllEventCallback() : wvdll.h
  • WvBoardConfigureGuiChangeCallback() : wvdll.h
  • WvBoardDUTEnum() : wvdll.h
  • WvBoardEnum() : wvdll.h
  • WvBoardExecuteCommandSequence() : wvdll.h
  • WvBoardLoadDUTEEPPROMImage() : wvdll.h
  • WvBoardLoadFPGA() : wvdll.h
  • WvBoardMessageBoxResponse() : wvdll.h
  • WvBoardOpen() : wvdll.h
  • WvBoardReadCaptureData() : wvdll.h
  • WvBoardReadCypressEEPROM() : wvdll.h
  • WvBoardReadDUTEEPROM() : wvdll.h
  • WvBoardReadDUTInfo() : wvdll.h
  • WvBoardReadLastError() : wvdll.h
  • WvBoardRegisterControlChange() : wvdll.h
  • WvBoardRegisterControlEnum() : wvdll.h
  • WvBoardRegisterTabEnum() : wvdll.h
  • WvBoardReset() : wvdll.h
  • WvBoardResetAll() : wvdll.h
  • WvBoardWriteCaptureEnd() : wvdll.h
  • WvBoardWriteCaptureStart() : wvdll.h
  • WvBoardWriteCypressEEPROM() : wvdll.h
  • WvBoardWriteDUTEEPROM() : wvdll.h
  • WvBool : wvdll_defs.h
  • WvButton : wvdll_defs.h
  • WvChangeImageDirectory() : wvdll.h
  • WvCheckbox : wvdll_defs.h
  • WvComboBox : wvdll_defs.h
  • WvDacExecCommand() : wvdll.h
  • WvDataFormat : wvdll_defs.h
  • WvDebugAccessRead() : wvdll.h
  • WvDebugAccessWrite() : wvdll.h
  • WvDebugModuleModify() : wvdll.h
  • WvDebugModuleModifyAll() : wvdll.h
  • WvDebugModuleSetOutputFilename() : wvdll.h
  • WvDllEventCallback : wvdll_defs.h
  • WvDouble : wvdll_defs.h
  • WvEnableCallbacks() : wvdll.h
  • WvEnableSimulator() : wvdll.h
  • WvFloat : wvdll_defs.h
  • WvGetDutEepromType() : wvdll.h
  • WvGetSamplingFrequency() : wvdll.h
  • WvGetScriptVerions() : wvdll.h
  • WvGetSupportedDuts() : wvdll.h
  • WvGuiChangeCallback : wvdll_defs.h
  • WvHardwareRead() : wvdll.h
  • WvHardwareWrite() : wvdll.h
  • WvHex : wvdll_defs.h
  • WvInteger : wvdll_defs.h
  • WvLevel1Register : wvdll_defs.h
  • WvNewestHardwareRead() : wvdll.h
  • WvNewestHardwareWrite() : wvdll.h
  • WvNewHardwareRead() : wvdll.h
  • WvNewHardwareWrite() : wvdll.h
  • WvNumericEdit : wvdll_defs.h
  • WvNumValueType : wvdll_defs.h
  • WvOffsetBinaryFormat : wvdll_defs.h
  • WvRadioButton : wvdll_defs.h
  • WvRegisterAction : wvdll_defs.h
  • WvRegisterControl : wvdll_defs.h
  • WvRegisterType : wvdll_defs.h
  • WvSetDut() : wvdll.h
  • WvSetSimulatorScript() : wvdll.h
  • WvShutdown() : wvdll.h
  • WvSlider : wvdll_defs.h
  • WvSpinEdit : wvdll_defs.h
  • WvStream : wvdll_defs.h
  • WvStreamElement : wvdll_defs.h
  • WvString : wvdll_defs.h
  • WvText : wvdll_defs.h
  • WvTwosComplementFormat : wvdll_defs.h
  • WvWord : wvdll_defs.h


WaveVision DLL: Class Members - Variables

  • All
  • Variables
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w

- _ -

  • __u10__ : WvChannelData
  • __u1__ : WvChannelData , WvCaptureSetup , WvDUTInfo
  • __u2__ : WvChannelData , WvDUTInfo , WvCaptureSetup
  • __u3__ : WvChannelData , WvDUTInfo , WvCaptureSetup
  • __u4__ : WvChannelData , WvDUTInfo , WvCaptureSetup
  • __u5__ : WvCaptureSetup , WvDUTInfo , WvChannelData
  • __u6__ : WvCaptureSetup , WvChannelData , WvDUTInfo
  • __u7__ : WvChannelData
  • __u8__ : WvChannelData
  • __u9__ : WvChannelData

- a -

  • Action : WvLevel1RegisterDefinition
  • Address : WvLevel1RegisterDefinition
  • AddressWidth : WvLevel1RegisterDefinition

- b -

  • bit_width : Wv_Dac_Download_Configuration
  • BitSize : WvChannelData
  • board_index : Wv_Channel_Data_Selection_Changed_Params , Wv_Hw_Change_Param
  • Build : WvVersionNumber

- c -

  • caption : Wv_Gui_Tab
  • Caption : WvNumericEditDefinition , WvComboBoxDefinition , WvSliderDefinition , Wv_Message_Box_Param , WvButtonDefinition , WvSpinEditDefinition , WvCheckBoxDefinition , WvRadioButtonDefinition
  • channel : Wv_Dac_Cmd_Data
  • channel_data_index : Wv_Channel_Data_Selection_Changed_Params
  • channel_data_selection_changed : Wv_Dll_Event_Param_Union
  • ChannelCount : WvDUTInfo
  • ChannelDataIndex : WvCaptureSetup
  • Checked : WvCheckBoxDefinition , WvRadioButtonDefinition
  • configuration : Wv_Dac_Cmd_Data

- d -

  • data : Wv_Dac_Cmd_Data
  • data_format : Wv_Dac_Cmd_Data
  • DataFormat : WvCaptureSetup
  • DataWidth : WvLevel1RegisterDefinition
  • DecimalPlaces : WvNumericEditDefinition , WvSpinEditDefinition
  • default_data_format : WvChannelData
  • dut_index : Wv_Hw_Change_Param , Wv_Channel_Data_Selection_Changed_Params

- e -

  • Enabled : WvNumericEditDefinition , Wv_Message_Box_Param , WvSliderDefinition , WvRadioButtonDefinition , WvCheckBoxDefinition , WvTextDefinition , WvButtonDefinition , WvComboBoxDefinition , WvSpinEditDefinition

- f -

  • freq : Wv_Dac_Cmd_Data

- g -

  • GroupNumber : WvRadioButtonDefinition

- h -

  • Highlighted : WvNumericEditDefinition , WvSpinEditDefinition , WvCheckBoxDefinition , WvRadioButtonDefinition , WvComboBoxDefinition
  • Hint : WvLevel1RegisterDefinition , WvComboBoxDefinition , WvRadioButtonDefinition , WvButtonDefinition , WvCheckBoxDefinition , WvNumericEditDefinition , WvSpinEditDefinition , WvSliderDefinition
  • HistogramEnable : WvCaptureSetup
  • HistogramInfo : WvDUTInfo
  • HistogramMaxBin : WvCaptureSetup
  • hw_change : Wv_Dll_Event_Param_Union

- i -

  • id : Wv_Hw_Change_Param , Wv_Message_Box_Param , Wv_Dll_Event_Param
  • Increment : WvSpinEditDefinition
  • ItemCount : WvComboBoxDefinition
  • ItemList : WvComboBoxDefinition
  • ItemSelected : WvComboBoxDefinition

- l -

  • level : Wv_Gui_Tab

- m -

  • Major : WvVersionNumber
  • Max : WvNumericEditDefinition , WvSliderDefinition , WvSpinEditDefinition
  • max_freq : Wv_Dac_Download_Configuration
  • max_num_channels : Wv_Dac_Download_Configuration
  • max_transfer_size : Wv_Dac_Download_Configuration
  • Message : Wv_Message_Box_Param
  • message_box : Wv_Dll_Event_Param_Union
  • Min : WvSpinEditDefinition , WvNumericEditDefinition , WvSliderDefinition
  • min_freq : Wv_Dac_Download_Configuration
  • min_transfer_size : Wv_Dac_Download_Configuration
  • Minor : WvVersionNumber

- n -

  • name : Wv_Dac_Download_Configuration
  • Name : WvChannelData
  • num_channels : Wv_Dac_Cmd_Data
  • num_channels_returned_to_user : WvChannelData

- p -

  • param : Wv_Dll_Event_Param
  • pChannelData : WvDUTInfo

- r -

  • RegisterType : WvLevel1RegisterDefinition
  • Release : WvVersionNumber
  • repeat : Wv_Dac_Cmd_Data
  • Revision : WvDUTInfo

- s -

  • sampling_freq_changes : WvChannelData

- t -

  • tags : Wv_Gui_Tab
  • Text : WvTextDefinition
  • transfer_size : Wv_Dac_Cmd_Data
  • TransferMaxSize : WvChannelData
  • TransferMinSize : WvChannelData
  • TransferSize : WvCaptureSetup
  • Type : WvNumericEditDefinition , WvControlDefinition , WvSpinEditDefinition , WvDUTInfo

- u -

  • Units : WvNumericEditDefinition , WvSliderDefinition , WvComboBoxDefinition , WvSpinEditDefinition

- v -

  • Value : WvNumericEditDefinition , WvSpinEditDefinition , WvLevel1RegisterDefinition , WvSliderDefinition
  • Values : WvComboBoxDefinition

- w -

  • Width : WvSliderDefinition


WaveVision DLL: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • MAX_BOARD : wvdll_defs.h
  • MAX_DUT : wvdll_defs.h
  • PUBLIC_WV_ACQUISITION_MAX_SAMPLES : wvdll_defs.h
  • PUBLIC_WV_MAX_CONFIGURATIONS : wvdll_defs.h
  • PUBLIC_WV_MAX_NUM_SIMULTANEOUS_CAPTURES : wvdll_defs.h
  • SENSORPATH_DATA_ADDR_BASE : wvdll_defs.h
  • SENSORPATH_DATA_ADDR_SIZE : wvdll_defs.h
  • WV5_FPGA_REGISTER_ADDR_BASE : wvdll_defs.h
  • WV5_FPGA_REGISTER_ADDR_SIZE : wvdll_defs.h
  • Wv_API : wvdll.h
  • WV_DEBUG_MODULE_ENTRY : wv_debug_module.h
  • WV_DEBUG_MODULE_TABLE : wv_debug_module.h
  • WV_MAX_NUM_SIMULTANEOUS_DAC_CHANNELS_PROGRAMMED : wvdll_defs.h


WaveVision DLL: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • Wv_Dac_Cmd : wvdll_defs.h
  • Wv_Debug_Access_Method : wvdll_defs.h
  • Wv_Debug_Module : wv_debug_module.h
  • Wv_Dll_Event_Id : wvdll_defs.h
  • Wv_Dut_Eeprom_Type : wvdll_defs.h
  • Wv_Hw_Change_Id : wvdll_defs.h
  • Wv_Mesage_Box_Id : wvdll_defs.h
  • Wv_Return : wvdll_defs.h
  • WvBitSize : wvdll_defs.h
  • WvDataFormat : wvdll_defs.h
  • WvNumValueType : wvdll_defs.h
  • WvRegisterAction : wvdll_defs.h
  • WvRegisterControl : wvdll_defs.h
  • WvRegisterType : wvdll_defs.h


WaveVision DLL: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • w

- w -

  • WV_BIT_SIZE_16 : wvdll_defs.h
  • WV_BIT_SIZE_8 : wvdll_defs.h
  • WV_DAC_CMD_DOWNLOAD_DATA : wvdll_defs.h
  • WV_DAC_CMD_START_SOURCING : wvdll_defs.h
  • WV_DAC_CMD_STOP_SOURCING : wvdll_defs.h
  • WV_DLL_EVENT_CHANNEL_DATA_SELECTION_CHANGED : wvdll_defs.h
  • WV_DLL_EVENT_CYPRESS_EEPROM_RELOADED : wvdll_defs.h
  • WV_DLL_EVENT_DUT_EEPROM_RELOADED : wvdll_defs.h
  • WV_DLL_EVENT_HW_CHANGE : wvdll_defs.h
  • WV_DLL_EVENT_MESSAGE_BOX : wvdll_defs.h
  • WV_DLL_EVENT_SIMULATOR_LOADED : wvdll_defs.h
  • WV_DUT_EEPROM_FMC : wvdll_defs.h
  • WV_DUT_EEPROM_STANDARD : wvdll_defs.h
  • WV_HW_CHANGE_BOARD_CONNECT : wvdll_defs.h
  • WV_HW_CHANGE_BOARD_DISCONNECT : wvdll_defs.h
  • WV_HW_CHANGE_DUT_CONNECT : wvdll_defs.h
  • WV_HW_CHANGE_DUT_DISCONNECT : wvdll_defs.h
  • WV_HW_CHANGE_POWER_OFF : wvdll_defs.h
  • WV_HW_CHANGE_POWER_ON : wvdll_defs.h
  • WV_MESSAGE_BOX_CONFIRMATION : wvdll_defs.h
  • WV_MESSAGE_BOX_ERROR : wvdll_defs.h
  • WV_MESSAGE_BOX_INFORMATION : wvdll_defs.h
  • WV_MESSAGE_BOX_WARNING : wvdll_defs.h
  • WV_REGISTER_ACTION_READ : wvdll_defs.h
  • WV_REGISTER_ACTION_WRITE : wvdll_defs.h
  • WV_REGISTER_TYPE_READ_ONLY : wvdll_defs.h
  • WV_REGISTER_TYPE_READ_WRITE : wvdll_defs.h
  • WV_REGISTER_TYPE_WRITE_ONLY : wvdll_defs.h
  • WV_RETURN_ERROR : wvdll_defs.h
  • WV_RETURN_ERROR_NON_FATAL : wvdll_defs.h
  • WV_RETURN_OK : wvdll_defs.h
  • WvBinaryFormat : wvdll_defs.h
  • WvButton : wvdll_defs.h
  • WvCheckbox : wvdll_defs.h
  • WvComboBox : wvdll_defs.h
  • WvFloat : wvdll_defs.h
  • WvHex : wvdll_defs.h
  • WvInteger : wvdll_defs.h
  • WvLevel1Register : wvdll_defs.h
  • WvNumericEdit : wvdll_defs.h
  • WvOffsetBinaryFormat : wvdll_defs.h
  • WvRadioButton : wvdll_defs.h
  • WvSlider : wvdll_defs.h
  • WvSpinEdit : wvdll_defs.h
  • WvText : wvdll_defs.h
  • WvTwosComplementFormat : wvdll_defs.h


WaveVision DLL: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • w

- w -

  • WvAllowUnnamedDUTs() : wvdll.h
  • WvBoardBulkRead() : wvdll.h
  • WvBoardBulkWrite() : wvdll.h
  • WvBoardCaptureSelect() : wvdll.h
  • WvBoardClose() : wvdll.h
  • WvBoardConfigureDllEventCallback() : wvdll.h
  • WvBoardConfigureGuiChangeCallback() : wvdll.h
  • WvBoardDUTEnum() : wvdll.h
  • WvBoardEnum() : wvdll.h
  • WvBoardExecuteCommandSequence() : wvdll.h
  • WvBoardLoadDUTEEPPROMImage() : wvdll.h
  • WvBoardLoadFPGA() : wvdll.h
  • WvBoardMessageBoxResponse() : wvdll.h
  • WvBoardOpen() : wvdll.h
  • WvBoardReadCaptureData() : wvdll.h
  • WvBoardReadCypressEEPROM() : wvdll.h
  • WvBoardReadDUTEEPROM() : wvdll.h
  • WvBoardReadDUTInfo() : wvdll.h
  • WvBoardReadLastError() : wvdll.h
  • WvBoardRegisterControlChange() : wvdll.h
  • WvBoardRegisterControlEnum() : wvdll.h
  • WvBoardRegisterTabEnum() : wvdll.h
  • WvBoardReset() : wvdll.h
  • WvBoardResetAll() : wvdll.h
  • WvBoardWriteCaptureEnd() : wvdll.h
  • WvBoardWriteCaptureStart() : wvdll.h
  • WvBoardWriteCypressEEPROM() : wvdll.h
  • WvBoardWriteDUTEEPROM() : wvdll.h
  • WvChangeImageDirectory() : wvdll.h
  • WvDacExecCommand() : wvdll.h
  • WvDebugAccessRead() : wvdll.h
  • WvDebugAccessWrite() : wvdll.h
  • WvDebugModuleModify() : wvdll.h
  • WvDebugModuleModifyAll() : wvdll.h
  • WvDebugModuleSetOutputFilename() : wvdll.h
  • WvEnableCallbacks() : wvdll.h
  • WvEnableSimulator() : wvdll.h
  • WvGetDutEepromType() : wvdll.h
  • WvGetSamplingFrequency() : wvdll.h
  • WvGetScriptVerions() : wvdll.h
  • WvGetSupportedDuts() : wvdll.h
  • WvHardwareRead() : wvdll.h
  • WvHardwareWrite() : wvdll.h
  • WvNewestHardwareRead() : wvdll.h
  • WvNewestHardwareWrite() : wvdll.h
  • WvNewHardwareRead() : wvdll.h
  • WvNewHardwareWrite() : wvdll.h
  • WvSetDut() : wvdll.h
  • WvSetSimulatorScript() : wvdll.h
  • WvShutdown() : wvdll.h


WaveVision DLL: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • Wv_Capture_Configuration : wvdll_defs.h
  • Wv_Capture_Request : wvdll_defs.h
  • Wv_Data_Format : wvdll_defs.h
  • Wv_Dut_Info : wvdll_defs.h
  • Wv_Version_Number : wvdll_defs.h
  • WvBool : wvdll_defs.h
  • WvDllEventCallback : wvdll_defs.h
  • WvDouble : wvdll_defs.h
  • WvGuiChangeCallback : wvdll_defs.h
  • WvStream : wvdll_defs.h
  • WvStreamElement : wvdll_defs.h
  • WvString : wvdll_defs.h
  • WvWord : wvdll_defs.h


WaveVision DLL: Main Page

WaveVision DLL Documentation

Generated on Thu Jun 18 18:04:05 2009 for WaveVision DLL by doxygen 1.5.5


WaveVision DLL: Member List

Wv_Channel_Data_Selection_Changed_Params Member List

This is the complete list of members for Wv_Channel_Data_Selection_Changed_Params, including all inherited members.

board_index | Wv_Channel_Data_Selection_Changed_Params
channel_data_index | Wv_Channel_Data_Selection_Changed_Params
dut_index | Wv_Channel_Data_Selection_Changed_Params


WaveVision DLL: Member List

Wv_Dac_Cmd_Data Member List

This is the complete list of members for Wv_Dac_Cmd_Data, including all inherited members.

channel | Wv_Dac_Cmd_Data
configuration | Wv_Dac_Cmd_Data
data | Wv_Dac_Cmd_Data
data_format | Wv_Dac_Cmd_Data
freq | Wv_Dac_Cmd_Data
num_channels | Wv_Dac_Cmd_Data
repeat | Wv_Dac_Cmd_Data
transfer_size | Wv_Dac_Cmd_Data


WaveVision DLL: Member List

Wv_Dac_Download_Configuration Member List

This is the complete list of members for Wv_Dac_Download_Configuration, including all inherited members.

bit_width | Wv_Dac_Download_Configuration
max_freq | Wv_Dac_Download_Configuration
max_num_channels | Wv_Dac_Download_Configuration
max_transfer_size | Wv_Dac_Download_Configuration
min_freq | Wv_Dac_Download_Configuration
min_transfer_size | Wv_Dac_Download_Configuration
name | Wv_Dac_Download_Configuration


WaveVision DLL: Member List

Wv_Dll_Event_Param Member List

This is the complete list of members for Wv_Dll_Event_Param, including all inherited members.

id | Wv_Dll_Event_Param
param | Wv_Dll_Event_Param


WaveVision DLL: Member List

Wv_Gui_Tab Member List

This is the complete list of members for Wv_Gui_Tab, including all inherited members.

caption | Wv_Gui_Tab
level | Wv_Gui_Tab
tags | Wv_Gui_Tab


WaveVision DLL: Member List

Wv_Hw_Change_Param Member List

This is the complete list of members for Wv_Hw_Change_Param, including all inherited members.

board_index | Wv_Hw_Change_Param
dut_index | Wv_Hw_Change_Param
id | Wv_Hw_Change_Param


WaveVision DLL: Member List

Wv_Message_Box_Param Member List

This is the complete list of members for Wv_Message_Box_Param, including all inherited members.

Caption | Wv_Message_Box_Param
Enabled | Wv_Message_Box_Param
id | Wv_Message_Box_Param
Message | Wv_Message_Box_Param


WaveVision DLL: Member List

WvButtonDefinition Member List

This is the complete list of members for WvButtonDefinition, including all inherited members.

Caption | WvButtonDefinition
Enabled | WvButtonDefinition
Hint | WvButtonDefinition


WaveVision DLL: Member List

WvCaptureSetup Member List

This is the complete list of members for WvCaptureSetup, including all inherited members.

__u1__ | WvCaptureSetup
__u2__ | WvCaptureSetup
__u3__ | WvCaptureSetup
__u4__ | WvCaptureSetup
__u5__ | WvCaptureSetup
__u6__ | WvCaptureSetup
ChannelDataIndex | WvCaptureSetup
DataFormat | WvCaptureSetup
HistogramEnable | WvCaptureSetup
HistogramMaxBin | WvCaptureSetup
TransferSize | WvCaptureSetup


WaveVision DLL: Member List

WvChannelData Member List

This is the complete list of members for WvChannelData, including all inherited members.

__u10__ | WvChannelData
__u1__ | WvChannelData
__u2__ | WvChannelData
__u3__ | WvChannelData
__u4__ | WvChannelData
__u5__ | WvChannelData
__u6__ | WvChannelData
__u7__ | WvChannelData
__u8__ | WvChannelData
__u9__ | WvChannelData
BitSize | WvChannelData
default_data_format | WvChannelData
Name | WvChannelData
num_channels_returned_to_user | WvChannelData
sampling_freq_changes | WvChannelData
TransferMaxSize | WvChannelData
TransferMinSize | WvChannelData


WaveVision DLL: Member List

WvCheckBoxDefinition Member List

This is the complete list of members for WvCheckBoxDefinition, including all inherited members.

Caption | WvCheckBoxDefinition
Checked | WvCheckBoxDefinition
Enabled | WvCheckBoxDefinition
Highlighted | WvCheckBoxDefinition
Hint | WvCheckBoxDefinition


WaveVision DLL: Member List

WvComboBoxDefinition Member List

This is the complete list of members for WvComboBoxDefinition, including all inherited members.

Caption | WvComboBoxDefinition
Enabled | WvComboBoxDefinition
Highlighted | WvComboBoxDefinition
Hint | WvComboBoxDefinition
ItemCount | WvComboBoxDefinition
ItemList | WvComboBoxDefinition
ItemSelected | WvComboBoxDefinition
Units | WvComboBoxDefinition
Values | WvComboBoxDefinition


WaveVision DLL: Member List

WvControlDefinition Member List

This is the complete list of members for WvControlDefinition, including all inherited members.

Button (defined in WvControlDefinition) | WvControlDefinition
CheckBox (defined in WvControlDefinition) | WvControlDefinition
ComboBox (defined in WvControlDefinition) | WvControlDefinition
Level1Register (defined in WvControlDefinition) | WvControlDefinition
NumericEdit (defined in WvControlDefinition) | WvControlDefinition
RadioButton (defined in WvControlDefinition) | WvControlDefinition
Slider (defined in WvControlDefinition) | WvControlDefinition
SpinEdit (defined in WvControlDefinition) | WvControlDefinition
Text (defined in WvControlDefinition) | WvControlDefinition
Type | WvControlDefinition


WaveVision DLL: Member List

WvDUTInfo Member List

This is the complete list of members for WvDUTInfo, including all inherited members.

__u1__ | WvDUTInfo
__u2__ | WvDUTInfo
__u3__ | WvDUTInfo
__u4__ | WvDUTInfo
__u5__ | WvDUTInfo
__u6__ | WvDUTInfo
ChannelCount | WvDUTInfo
HistogramInfo | WvDUTInfo
pChannelData | WvDUTInfo
Revision | WvDUTInfo
Type | WvDUTInfo


WaveVision DLL: Member List

WvLevel1RegisterDefinition Member List

This is the complete list of members for WvLevel1RegisterDefinition, including all inherited members.

Action | WvLevel1RegisterDefinition
Address | WvLevel1RegisterDefinition
AddressWidth | WvLevel1RegisterDefinition
DataWidth | WvLevel1RegisterDefinition
Hint | WvLevel1RegisterDefinition
RegisterType | WvLevel1RegisterDefinition
Value | WvLevel1RegisterDefinition


WaveVision DLL: Member List

WvNumericEditDefinition Member List

This is the complete list of members for WvNumericEditDefinition, including all inherited members.

Caption | WvNumericEditDefinition
DecimalPlaces | WvNumericEditDefinition
Enabled | WvNumericEditDefinition
Highlighted | WvNumericEditDefinition
Hint | WvNumericEditDefinition
Max | WvNumericEditDefinition
Min | WvNumericEditDefinition
Type | WvNumericEditDefinition
Units | WvNumericEditDefinition
Value | WvNumericEditDefinition


WaveVision DLL: Member List

WvRadioButtonDefinition Member List

This is the complete list of members for WvRadioButtonDefinition, including all inherited members.

Caption | WvRadioButtonDefinition
Checked | WvRadioButtonDefinition
Enabled | WvRadioButtonDefinition
GroupNumber | WvRadioButtonDefinition
Highlighted | WvRadioButtonDefinition
Hint | WvRadioButtonDefinition


WaveVision DLL: Member List

WvSliderDefinition Member List

This is the complete list of members for WvSliderDefinition, including all inherited members.

Caption | WvSliderDefinition
Enabled | WvSliderDefinition
Hint | WvSliderDefinition
Max | WvSliderDefinition
Min | WvSliderDefinition
Units | WvSliderDefinition
Value | WvSliderDefinition
Width | WvSliderDefinition


WaveVision DLL: Member List

WvSpinEditDefinition Member List

This is the complete list of members for WvSpinEditDefinition, including all inherited members.

Caption | WvSpinEditDefinition
DecimalPlaces | WvSpinEditDefinition
Enabled | WvSpinEditDefinition
Highlighted | WvSpinEditDefinition
Hint | WvSpinEditDefinition
Increment | WvSpinEditDefinition
Max | WvSpinEditDefinition
Min | WvSpinEditDefinition
Type | WvSpinEditDefinition
Units | WvSpinEditDefinition
Value | WvSpinEditDefinition


WaveVision DLL: Member List

WvTextDefinition Member List

This is the complete list of members for WvTextDefinition, including all inherited members.

Enabled | WvTextDefinition
Text | WvTextDefinition


WaveVision DLL: Member List

WvVersionNumber Member List

This is the complete list of members for WvVersionNumber, including all inherited members.

Build | WvVersionNumber
Major | WvVersionNumber
Minor | WvVersionNumber
Release | WvVersionNumber


WaveVision DLL: Member List

Wv_Dll_Event_Param_Union Member List

This is the complete list of members for Wv_Dll_Event_Param_Union, including all inherited members.

channel_data_selection_changed | Wv_Dll_Event_Param_Union
hw_change | Wv_Dll_Event_Param_Union
message_box | Wv_Dll_Event_Param_Union


WaveVision DLL: wv_debug_module.h Source File

wv_debug_module.h

Go to the documentation of this file.
00001 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00012
00013 #ifndef _WV_DEBUG_MODULE_H_
00014 #define _WV_DEBUG_MODULE_H_
00015
00021 #define WV_DEBUG_MODULE_TABLE \
00022     WV_DEBUG_MODULE_ENTRY(GEN) \
00023     WV_DEBUG_MODULE_ENTRY(CMD) \
00024     WV_DEBUG_MODULE_ENTRY(CMD_API) \
00025     WV_DEBUG_MODULE_ENTRY(INTERNAL) \
00026     WV_DEBUG_MODULE_ENTRY(SEARCH) \
00027     WV_DEBUG_MODULE_ENTRY(USB) \
00028     WV_DEBUG_MODULE_ENTRY(BIGGIG) \
00029     WV_DEBUG_MODULE_ENTRY(EEPROM) \
00030     WV_DEBUG_MODULE_ENTRY(CLOCK) \
00031     WV_DEBUG_MODULE_ENTRY(CAPTURE) \
00032     WV_DEBUG_MODULE_ENTRY(LOAD_FPGA) \
00033     WV_DEBUG_MODULE_ENTRY(BOARD_STATE) \
00034     WV_DEBUG_MODULE_ENTRY(BOARD_STATE_POLLING) \
00035     WV_DEBUG_MODULE_ENTRY(FILE) \
00036     WV_DEBUG_MODULE_ENTRY(TEST_MODE) \
00037     WV_DEBUG_MODULE_ENTRY(SCRIPT_EP) \
00038     WV_DEBUG_MODULE_ENTRY(SCRIPT_EP_FACTORY) \
00039     WV_DEBUG_MODULE_ENTRY(SCRIPT) \
00040     WV_DEBUG_MODULE_ENTRY(CB) \
00041     WV_DEBUG_MODULE_ENTRY(XML_LIB) \
00042     WV_DEBUG_MODULE_ENTRY(UTILS)
00043
00045 #define WV_DEBUG_MODULE_ENTRY(_X_) WV_DEBUG_MODULE_##_X_,
00046
00048 typedef enum {
00049     WV_DEBUG_MODULE_TABLE
00050     WV_DEBUG_MODULE_MAX
00051 } Wv_Debug_Module;
00052
00053 /*
00054     The preprocessing will generate the following:
00055
00056 typedef enum {
00057     WV_DEBUG_MODULE_GEN,
00058     WV_DEBUG_MODULE_CMD,
00059     WV_DEBUG_MODULE_CMD_API,
00060     WV_DEBUG_MODULE_INTERNAL,
00061     WV_DEBUG_MODULE_SEARCH,
00062     WV_DEBUG_MODULE_USB,
00063     WV_DEBUG_MODULE_BIGGIG,
00064     WV_DEBUG_MODULE_EEPROM,
00065     WV_DEBUG_MODULE_CLOCK,
00066     WV_DEBUG_MODULE_CAPTURE,
00067     WV_DEBUG_MODULE_LOAD_FPGA,
00068     WV_DEBUG_MODULE_BOARD_STATE,
00069     WV_DEBUG_MODULE_BOARD_STATE_POLLING,
00070     WV_DEBUG_MODULE_FILE,
00071     WV_DEBUG_MODULE_TEST_MODE,
00072     WV_DEBUG_MODULE_SCRIPT_EP,
00073     WV_DEBUG_MODULE_SCRIPT_EP_FACTORY,
00074     WV_DEBUG_MODULE_SCRIPT,
00075     WV_DEBUG_MODULE_CB,
00076     WV_DEBUG_MODULE_XML_LIB,
00077     WV_DEBUG_MODULE_UTILS,
00078     WV_DEBUG_MODULE_MAX
00079 } Wv_Debug_Module;
00080 */
00081
00082 #undef WV_DEBUG_MODULE_ENTRY
00083
00086 #endif
Generated on Thu Jun 18 18:04:05 2009 for WaveVision DLL by doxygen 1.5.5


WaveVision DLL: wvdll.h Source File

wvdll.h

Go to the documentation of this file.
00001 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00012
00013 #ifndef _WVDLL_H_
00014 #define _WVDLL_H_
00015
00016 #include "wvdll_defs.h"
00017
00019 #define Wv_API __stdcall
00020
00021 #ifdef __cplusplus
00022 extern "C" {
00023 #endif
00024
00074 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00083
00101 WvBool Wv_API WvDebugModuleModify(Wv_Debug_Module module, WvBool enable);
00102
00110 WvBool Wv_API WvDebugModuleModifyAll(WvBool enable);
00111
00120 WvBool Wv_API WvDebugModuleSetOutputFilename(WvString filename);
00121
00126 WvBool Wv_API WvBoardConfigureGuiChangeCallback(WvGuiChangeCallback gui_change_callback);
00127
00132 WvBool Wv_API WvBoardConfigureDllEventCallback(WvDllEventCallback dll_event_callback);
00133
00142 WvBool Wv_API WvChangeImageDirectory(WvString new_directory_name);
00143
00150 WvBool Wv_API WvEnableSimulator(WvBool enable);
00151
00158 WvBool Wv_API WvAllowUnnamedDUTs(WvBool allow);
00159
00163 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00172
00187 WvBool Wv_API WvBoardEnum(
00188     WvWord*          return_board_count,
00189     WvString**       return_array_board_names,
00190     WvVersionNumber* return_dll_version
00191     );
00192
00206 WvBool Wv_API WvBoardOpen(
00207     WvWord           board_index,
00208     WvString         user_defined_cypress_image_filename,
00209     WvWord*          return_cypress_version,
00210     WvVersionNumber* return_firmware_version
00211     );
00212
00226 WvBool Wv_API WvBoardDUTEnum(
00227     WvWord     board_index,
00228     WvWord*    return_dut_count,
00229     WvString** return_array_dut_names
00230     );
00231
00245 WvBool Wv_API WvBoardLoadFPGA(
00246     WvWord           board_index,
00247     WvWord           dut_index,
00248     WvString         user_defined_fpga_image_filename,
00249     WvVersionNumber* return_fpga_version
00250     );
00251
00269 WvBool Wv_API WvBoardReadDUTInfo(
00270     WvWord           board_index,
00271     WvWord           dut_index,
00272     WvDUTInfo*       return_dut_info,
00273     WvVersionNumber* return_dut_version
00274     );
00275
00282 WvBool Wv_API WvEnableCallbacks(WvBool enable);
00283
00290 WvBool Wv_API WvBoardReset(WvWord board_index);
00291
00297 WvBool Wv_API WvBoardResetAll(void);
00298
00303 WvBool Wv_API WvBoardClose(WvWord board_index);
00304
00310 WvBool Wv_API WvShutdown(void);
00311
00315 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00324
00335 WvBool Wv_API WvBoardWriteCaptureStart(
00336     WvWord                    board_index,
00337     WvWord                    dut_index,
00338     /*const*/ WvCaptureSetup* ptr_capture_setup
00339     );
00340
00346 WvBool Wv_API WvBoardWriteCaptureEnd(WvWord board_index, WvWord dut_index);
00347
00362 WvBool Wv_API WvBoardReadCaptureData(
00363     WvWord  board_index,
00364     WvWord  dut_index,
00365     WvWord* return_data,
00366     WvWord  sizeof_data_allocated_by_caller,
00367     WvBool* return_data_valid
00368     );
00369
00373 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00382
00390 WvBool Wv_API WvDacExecCommand(
00391     WvWord board_index,
00392     WvWord dut_index,
00393     Wv_Dac_Cmd dac_cmd,
00394     /*const*/ Wv_Dac_Cmd_Data* req
00395     );
00396
00400 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00409
00420 WvBool Wv_API WvBoardReadCypressEEPROM(
00421     WvWord   board_index,
00422     WvStream stream,
00423     WvWord   stream_size
00424     );
00425
00436 WvBool Wv_API WvBoardWriteCypressEEPROM(
00437     WvWord             board_index,
00438     /*const*/ WvStream stream,
00439     WvWord             stream_size
00440     );
00441
00453 WvBool Wv_API WvBoardReadDUTEEPROM(
00454     WvWord   board_index,
00455     WvWord   dut_index,
00456     WvStream stream,
00457     WvWord   stream_size
00458     );
00459
00471 WvBool Wv_API WvBoardWriteDUTEEPROM(
00472     WvWord             board_index,
00473     WvWord             dut_index,
00474     /*const*/ WvStream stream,
00475     WvWord             stream_size
00476     );
00477
00503 WvBool Wv_API WvBoardLoadDUTEEPPROMImage(
00504     WvWord   board_index,
00505     WvWord   dut_index,
00506     WvString filename
00507     );
00508
00512 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00521
00540 WvBool Wv_API WvBoardRegisterTabEnum(
00541     WvWord       board_index,
00542     WvWord       dut_index,
00543     WvString*    return_tabs_title,
00544     WvWord*      return_tab_count,
00545     Wv_Gui_Tab** return_array_tabs
00546     );
00547
00563 WvBool Wv_API WvBoardRegisterControlEnum(
00564     WvWord                board_index,
00565     WvWord                dut_index,
00566     WvWord                tab_index,
00567     WvWord*               return_control_count,
00568     WvControlDefinition** return_array_control_defs
00569     );
00570
00583 WvBool Wv_API WvBoardRegisterControlChange(
00584     WvWord                         board_index,
00585     WvWord                         dut_index,
00586     WvWord                         tab_index,
00587     WvWord                         control_index,
00588     /*const*/ WvControlDefinition* control_def
00589     );
00590
00595 WvBool Wv_API WvBoardMessageBoxResponse(WvBool yes);
00596
00600 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00609
00619 WvBool Wv_API WvBoardReadLastError(
00620     WvWord    board_index,
00621     WvString* return_message
00622     );
00623
00635 WvBool Wv_API WvGetSamplingFrequency(
00636     WvWord    board_index,
00637     WvWord    dut_index,
00638     WvWord    channel_index,
00639     WvDouble* return_sampling_frequency
00640     );
00641
00654 WvBool Wv_API WvGetScriptVerions(
00655     WvWord           board_index,
00656     WvWord           dut_index,
00657     WvVersionNumber* return_image_map_version,
00658     WvVersionNumber* return_dut_script_version
00659     );
00660
00674 WvBool Wv_API WvGetSupportedDuts(
00675     WvWord    board_index,
00676     WvString* return_dut_names,
00677     WvString* return_dut_descriptions
00678     );
00679
00686 WvBool Wv_API WvSetDut(WvWord board_index, WvWord dut_index, WvString dut_name);
00687
00691 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00700
00713 WvBool Wv_API WvDebugAccessRead(
00714     WvWord                 board_index,
00715     WvWord                 dut_index,
00716     Wv_Debug_Access_Method access_method,
00717     WvWord                 address,
00718     WvWord*                return_value
00719     );
00720
00729 WvBool Wv_API WvDebugAccessWrite(
00730     WvWord                 board_index,
00731     WvWord                 dut_index,
00732     Wv_Debug_Access_Method access_method,
00733     WvWord                 address,
00734     WvWord                 write_value
00735     );
00736
00738 WvBool Wv_API WvHardwareRead(
00739     WvWord                 board_index,
00740     WvWord                 dut_index,
00741     Wv_Debug_Access_Method access_method,
00742     WvWord                 address,
00743     WvWord*                return_value
00744     );
00745
00747 WvBool Wv_API WvHardwareWrite(
00748     WvWord                 board_index,
00749     WvWord                 dut_index,
00750     Wv_Debug_Access_Method access_method,
00751     WvWord                 address,
00752     WvWord                 write_value
00753     );
00754
00766 WvBool Wv_API WvNewHardwareRead(
00767     WvWord board_index,
00768     WvWord dut_index,
00769     Wv_Debug_Access_Method access_method,
00770     WvWord device_address,
00771     WvWord address_bitwidth,
00772     WvWord address,
00773     WvWord data_bitwidth,
00774     WvWord* return_value
00775     );
00776
00788 WvBool Wv_API WvNewHardwareWrite(
00789     WvWord board_index,
00790     WvWord dut_index,
00791     Wv_Debug_Access_Method access_method,
00792     WvWord device_address,
00793     WvWord address_bitwidth,
00794     WvWord address,
00795     WvWord data_bitwidth,
00796     WvWord write_value
00797     );
00798
00815 WvBool Wv_API WvNewestHardwareRead(
00816     WvWord board_index,
00817     WvWord dut_index,
00818     Wv_Debug_Access_Method access_method,
00819     WvWord bus_index,
00820     WvWord device_address,
00821     WvWord address_bitwidth,
00822     WvWord address,
00823     WvWord data_bitwidth,
00824     WvWord* return_value
00825     );
00826
00843 WvBool Wv_API WvNewestHardwareWrite(
00844     WvWord board_index,
00845     WvWord dut_index,
00846     Wv_Debug_Access_Method access_method,
00847     WvWord bus_index,
00848     WvWord device_address,
00849     WvWord address_bitwidth,
00850     WvWord address,
00851     WvWord data_bitwidth,
00852     WvWord write_value
00853     );
00854
00858 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00867
00882 WvBool Wv_API WvBoardBulkRead(
00883     WvWord   board_index,
00884     WvWord   endpoint_index,
00885     WvStream read_buffer,
00886     WvWord   num_bytes_to_read
00887     );
00888
00903 WvBool Wv_API WvBoardBulkWrite(
00904     WvWord             board_index,
00905     WvWord             endpoint_index,
00906     /*const*/ WvStream write_buffer,
00907     WvWord             num_bytes_to_write
00908     );
00909
00926 WvBool Wv_API WvBoardExecuteCommandSequence(
00927     WvWord             board_index,
00928     WvWord             dut_index,
00929     /*const*/ WvStream command_buffer,
00930     WvWord             command_buffer_size,
00931     WvStream           response_buffer,
00932     WvWord             response_buffer_size
00933     );
00934
00944 WvBool Wv_API WvGetDutEepromType(
00945     WvWord board_index,
00946     WvWord dut_index,
00947     Wv_Dut_Eeprom_Type* return_dut_eeprom_type
00948     );
00949
00953 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00962
00964 WvBool Wv_API WvSetSimulatorScript(WvString script_filename);
00965
00967 WvBool Wv_API WvBoardCaptureSelect(WvWord board_index, WvWord dut_index, /*const*/ WvCaptureSetup* ptr_capture_setup);
00968
00973 #ifdef __cplusplus
00974 }
00975 #endif
00976
00977 #endif
Generated on Thu Jun 18 18:04:05 2009 for WaveVision DLL by doxygen 1.5.5


WaveVision DLL: wvdll_defs.h Source File

wvdll_defs.h

Go to the documentation of this file.
00001 /* -------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00012
00013 #ifndef _WVDLL_DEFS_H_
00014 #define _WVDLL_DEFS_H_
00015
00016 #pragma pack(push, 4)
00017
00023 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00032
00034 #define MAX_BOARD 16
00035
00037 #define MAX_DUT 1
00038
00040 #define PUBLIC_WV_MAX_NUM_SIMULTANEOUS_CAPTURES 2
00041
00043 #define PUBLIC_WV_ACQUISITION_MAX_SAMPLES 8
00044
00046 #define PUBLIC_WV_MAX_CONFIGURATIONS 32
00047
00053 #define WV5_FPGA_REGISTER_ADDR_BASE 0xd000
00054
00060 #define WV5_FPGA_REGISTER_ADDR_SIZE 0x1000
00061
00067 #define SENSORPATH_DATA_ADDR_BASE 0xcf00
00068
00070 #define SENSORPATH_DATA_ADDR_SIZE 0x0100
00071
00073 #define WV_MAX_NUM_SIMULTANEOUS_DAC_CHANNELS_PROGRAMMED 4
00074
00078 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00087
00093 typedef unsigned long WvBool;
00094
00096 typedef unsigned long WvWord;
00097
00099 typedef double WvDouble;
00100
00102 typedef char* WvString;
00103
00110 typedef unsigned char WvStreamElement;
00111
00113 typedef WvStreamElement* WvStream;
00114
00116 typedef struct {
00118     WvWord Major;
00119
00121     WvWord Minor;
00122
00124     WvWord Release;
00125
00127     WvWord Build;
00128 } WvVersionNumber;
00129
00131 typedef WvVersionNumber Wv_Version_Number;
00132
00136 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00145
00150 typedef enum {
00152     WV_RETURN_OK,
00153
00155     WV_RETURN_ERROR_NON_FATAL,
00156
00158     WV_RETURN_ERROR
00159 } Wv_Return;
00160
00162 typedef enum {
00164     WvBinaryFormat = 0x1000000,
00165
00167     WvOffsetBinaryFormat,
00168
00170     WvTwosComplementFormat
00171 } WvDataFormat;
00172
00174 typedef WvDataFormat Wv_Data_Format;
00175
00177 typedef enum {
00179     WV_DUT_EEPROM_STANDARD,
00180
00182     WV_DUT_EEPROM_FMC
00183 } Wv_Dut_Eeprom_Type;
00184
00188 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00197
00206 typedef struct {
00208     WvString name;
00209
00211     WvWord bit_width;
00212
00214     WvDouble min_freq;
00215
00217     WvDouble max_freq;
00218
00220     WvWord min_transfer_size;
00221
00223     WvWord max_transfer_size;
00224
00226     WvWord max_num_channels;
00227 } Wv_Dac_Download_Configuration;
00228
00230 typedef enum {
00232     WV_DAC_CMD_DOWNLOAD_DATA,
00233
00235     WV_DAC_CMD_START_SOURCING,
00236
00238     WV_DAC_CMD_STOP_SOURCING
00239 } Wv_Dac_Cmd;
00240
00242 typedef struct {
00244     WvWord configuration;
00245
00247     WvDouble freq;
00248
00250     WvDataFormat data_format;
00251
00253     WvWord transfer_size;
00254
00256     WvWord num_channels;
00257
00259     WvWord channel[WV_MAX_NUM_SIMULTANEOUS_DAC_CHANNELS_PROGRAMMED];
00260
00262     WvBool repeat;
00263
00271     WvWord* data;
00272 } Wv_Dac_Cmd_Data;
00273
00275 typedef struct {
00277     WvString Name;
00278
00280     WvWord __u1__;
00281
00283     WvWord TransferMinSize;
00284
00286     WvWord TransferMaxSize;
00287
00289     WvWord num_channels_returned_to_user;
00290
00292     WvWord __u2__;
00294     WvWord __u3__;
00296     WvWord __u4__[PUBLIC_WV_MAX_NUM_SIMULTANEOUS_CAPTURES];
00298     WvWord __u5__;
00300     WvWord __u6__;
00302     WvWord __u7__;
00304     WvWord __u8__;
00306     WvWord __u9__[PUBLIC_WV_ACQUISITION_MAX_SAMPLES];
00307
00309     WvDataFormat default_data_format;
00310
00312     WvWord BitSize;
00313
00315     WvDouble __u10__;
00316
00318     WvBool sampling_freq_changes;
00319 } WvChannelData;
00320
00322 typedef WvChannelData Wv_Capture_Configuration;
00323
00325 typedef struct {
00327     WvDouble __u1__;
00329     WvDouble __u2__;
00330
00332     WvWord Type;
00333
00335     WvWord __u3__;
00336
00338     WvWord HistogramInfo;
00339
00341     WvWord ChannelCount;
00342
00344     WvChannelData* pChannelData;
00345
00347     WvString Revision;
00348
00350     WvWord __u4__;
00352     WvWord __u5__;
00354     WvWord __u6__[PUBLIC_WV_ACQUISITION_MAX_SAMPLES];
00355 } WvDUTInfo;
00356
00358 typedef WvDUTInfo Wv_Dut_Info;
00359
00361 typedef struct {
00363     WvDouble __u1__;
00364
00366     WvWord TransferSize;
00367
00369     WvWord ChannelDataIndex;
00370
00372     WvWord HistogramEnable;
00373
00375     WvWord HistogramMaxBin;
00376
00378     WvDataFormat DataFormat;
00379
00381     WvWord __u2__;
00383     WvWord __u3__;
00385     WvWord __u4__;
00387     WvWord __u5__;
00389     WvWord __u6__;
00390 } WvCaptureSetup;
00391
00393 typedef WvCaptureSetup Wv_Capture_Request;
00394
00398 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00407
00409 typedef enum {
00411     WvNumericEdit = 0x1000000,
00412
00415     WvSpinEdit,
00416
00423     WvComboBox,
00424
00426     WvButton,
00427
00429     WvText,
00430
00432     WvCheckbox,
00433
00439     WvRadioButton,
00440
00442     WvSlider,
00443
00445     WvLevel1Register
00446
00447 } WvRegisterControl;
00448
00450 typedef enum {
00452     WvHex = 0x1000000,
00453
00455     WvInteger,
00456
00458     WvFloat
00459 } WvNumValueType;
00460
00462 typedef enum {
00464     WV_BIT_SIZE_8 = 0x1000000,
00465
00467     WV_BIT_SIZE_16
00468 } WvBitSize;
00469
00471 typedef enum {
00473     WV_REGISTER_TYPE_READ_ONLY = 0x1000000,
00474
00476     WV_REGISTER_TYPE_READ_WRITE,
00477
00479     WV_REGISTER_TYPE_WRITE_ONLY
00480 } WvRegisterType;
00481
00483 typedef enum {
00485     WV_REGISTER_ACTION_READ = 0x1000000,
00486
00488     WV_REGISTER_ACTION_WRITE
00489 } WvRegisterAction;
00490
00494 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00503
00505 typedef struct {
00507     WvString caption;
00508
00510     WvString tags;
00511
00513     WvWord level;
00514 } Wv_Gui_Tab;
00515
00517 typedef struct {
00519     WvDouble Min;
00520
00522     WvDouble Max;
00523
00525     WvDouble Value;
00526
00528     WvWord DecimalPlaces;
00529
00531     WvNumValueType Type;
00532
00534     WvString Caption;
00535
00537     WvString Hint;
00538
00540     WvString Units;
00541
00543     WvBool Highlighted;
00544
00546     WvBool Enabled;
00547 } WvNumericEditDefinition;
00548
00559 typedef struct {
00561     WvDouble Min;
00562
00564     WvDouble Max;
00565
00567     WvDouble Value;
00568
00570     WvDouble Increment;
00571
00573     WvWord DecimalPlaces;
00574
00576     WvNumValueType Type;
00577
00579     WvString Caption;
00580
00582     WvString Hint;
00583
00585     WvString Units;
00586
00588     WvBool Highlighted;
00589
00591     WvBool Enabled;
00592 } WvSpinEditDefinition;
00593
00598 typedef struct {
00600     WvWord ItemCount;
00601
00603     /*const*/ char* *ItemList;
00604 ;
00606     WvWord *Values;
00607
00609     WvWord ItemSelected;
00610
00612     WvString Caption;
00613
00615     WvString Hint;
00616
00618     WvString Units;
00619
00621     WvBool Highlighted;
00622
00624     WvBool Enabled;
00625 } WvComboBoxDefinition;
00626
00628 typedef struct {
00630     WvString Caption;
00631
00633     WvString Hint;
00634
00636     WvBool Enabled;
00637 } WvButtonDefinition;
00638
00643 typedef struct {
00645     WvString Text;
00646
00648     WvBool Enabled;
00649 } WvTextDefinition;
00650
00652 typedef struct {
00654     WvString Caption;
00655
00657     WvString Hint;
00658
00660     WvBool Checked;
00661
00663     WvBool Enabled;
00664
00666     WvBool Highlighted;
00667 } WvCheckBoxDefinition;
00668
00676 typedef struct {
00678     WvString Caption;
00679
00681     WvString Hint;
00682
00684     WvBool Checked;
00685
00687     WvWord GroupNumber;
00688
00690     WvBool Enabled;
00691
00693     WvBool Highlighted;
00694 } WvRadioButtonDefinition;
00695
00697 typedef struct {
00699     WvWord Min;
00700
00702     WvWord Max;
00703
00705     WvWord Value;
00706
00708     WvWord Width;
00709
00711     WvString Units;
00712
00714     WvString Caption;
00715
00717     WvString Hint;
00718
00720     WvBool Enabled;
00721 } WvSliderDefinition;
00722
00724 typedef struct {
00726     WvWord Address;
00727
00729     WvString Hint;
00730
00732     WvWord Value;
00733
00735     WvBitSize DataWidth;
00736
00738     WvBitSize AddressWidth;
00739
00741     WvRegisterType RegisterType;
00742
00747     WvRegisterAction Action;
00748 } WvLevel1RegisterDefinition;
00749
00756 typedef struct {
00758     WvRegisterControl Type;
00759
00761     union {
00762         WvNumericEditDefinition    NumericEdit;
00763         WvSpinEditDefinition       SpinEdit;
00764         WvComboBoxDefinition       ComboBox;
00765         WvButtonDefinition         Button;
00766         WvTextDefinition           Text;
00767         WvCheckBoxDefinition       CheckBox;
00768         WvRadioButtonDefinition    RadioButton;
00769         WvSliderDefinition         Slider;
00770         WvLevel1RegisterDefinition Level1Register;
00771    };
00772 } WvControlDefinition;
00773
00779 typedef WvBool (*WvGuiChangeCallback)(
00780     WvWord               boardIndex,
00781     WvWord               DUTIndex,
00782     WvWord               tabindex,
00783     WvWord               controlindex,
00784     WvControlDefinition* controlDef
00785     );
00786
00790 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00799
00805 typedef enum {
00807     WV_HW_CHANGE_BOARD_DISCONNECT = 0x1000000,
00808
00810     WV_HW_CHANGE_BOARD_CONNECT,
00811
00813     WV_HW_CHANGE_DUT_DISCONNECT,
00814
00816     WV_HW_CHANGE_DUT_CONNECT,
00817
00819     WV_HW_CHANGE_POWER_ON,
00820
00822     WV_HW_CHANGE_POWER_OFF
00823 } Wv_Hw_Change_Id;
00824
00826 typedef struct {
00828     Wv_Hw_Change_Id id;
00829
00831     WvWord board_index;
00832
00834     WvWord dut_index;
00835 } Wv_Hw_Change_Param;
00836
00838 typedef enum {
00840     WV_MESSAGE_BOX_WARNING = 0x1000000,
00841
00843     WV_MESSAGE_BOX_ERROR,
00844
00846     WV_MESSAGE_BOX_INFORMATION,
00847
00849     WV_MESSAGE_BOX_CONFIRMATION
00850 } Wv_Mesage_Box_Id;
00851
00853 typedef struct {
00855     Wv_Mesage_Box_Id id;
00856
00858     WvString Caption;
00859
00861     WvString Message;
00862
00864     WvBool Enabled;
00865 } Wv_Message_Box_Param;
00866
00868 typedef enum {
00870     WV_DLL_EVENT_HW_CHANGE = 0x1000000,
00871
00873     WV_DLL_EVENT_MESSAGE_BOX,
00874
00876     WV_DLL_EVENT_DUT_EEPROM_RELOADED,
00877
00879     WV_DLL_EVENT_CYPRESS_EEPROM_RELOADED,
00880
00882     WV_DLL_EVENT_SIMULATOR_LOADED,
00883
00885     WV_DLL_EVENT_CHANNEL_DATA_SELECTION_CHANGED
00886 } Wv_Dll_Event_Id;
00887
00894 typedef struct {
00896     WvWord board_index;
00897
00899     WvWord dut_index;
00900
00902     WvWord channel_data_index;
00903 } Wv_Channel_Data_Selection_Changed_Params;
00904
00906 typedef union {
00908     Wv_Hw_Change_Param hw_change;
00909
00911     Wv_Message_Box_Param message_box;
00912
00914     Wv_Channel_Data_Selection_Changed_Params channel_data_selection_changed;
00915 } Wv_Dll_Event_Param_Union;
00916
00922 typedef struct {
00924     Wv_Dll_Event_Id id;
00925
00927     Wv_Dll_Event_Param_Union param;
00928 } Wv_Dll_Event_Param;
00929
00931 typedef WvBool (*WvDllEventCallback)(/*const*/ Wv_Dll_Event_Param* event_param);
00932
00935 /* Include the debug module enumeration */
00936 #ifdef __MAKECINT__
00937 #include "wv_debug_module.h.pp"
00938 #else
00939 #include "wv_debug_module.h"
00940 #endif
00941
00942
00943 /* ------------------------------------------------------------------- */  /* -------------------------------------------------------------------- */
00949
00957 typedef enum {
00958     WV_DEBUG_ACCESS_MEMORY_MAPPED = 0x1000000,
00959     WV_DEBUG_ACCESS_SPI,
00960     WV_DEBUG_ACCESS_PORT_FPGA_REGISTER,
00961     WV_DEBUG_ACCESS_I2C,
00962     WV_DEBUG_ACCESS_CYPRESS_SFR,
00963     WV_DEBUG_ACCESS_PRIVATE,
00964     WV_DEBUG_ACCESS_MAX
00965 } Wv_Debug_Access_Method;
00966
00971 #pragma pack (pop)
00972
00973 #endif